--[[

ARL-BeastTrain.lua

Beast Training data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BTS		= AceLibrary("Babble-Tradeskill-2.2")
local BFAC		= AceLibrary("Babble-Faction-2.2")
local BCLASS	= AceLibrary("Babble-Class-2.2")

-- Initializes the array adding all Beast Training Abilities.  As of 2.2 there are 134 abilities.

function ARL:ARL_InitBeastTraining()

	ARL:ARL_InitializeRecipeArray()

	ARL:addTradeSkill(BTS["Arcane Resistance (Rank 1)"], 20, L["Trainer"])
	ARL:addTradeSkill(BTS["Arcane Resistance (Rank 2)"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Arcane Resistance (Rank 3)"], 40, L["Trainer"])
	ARL:addTradeSkill(BTS["Arcane Resistance (Rank 4)"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Arcane Resistance (Rank 5)"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Avoidance (Rank 1)"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Avoidance (Rank 2)"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Cobra Reflexes ()"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Fire Resistance (Rank 1)"], 20, L["Trainer"])
	ARL:addTradeSkill(BTS["Fire Resistance (Rank 2)"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Fire Resistance (Rank 3)"], 40, L["Trainer"])
	ARL:addTradeSkill(BTS["Fire Resistance (Rank 4)"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Fire Resistance (Rank 5)"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Frost Resistance (Rank 1)"], 20, L["Trainer"])
	ARL:addTradeSkill(BTS["Frost Resistance (Rank 2)"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Frost Resistance (Rank 3)"], 40, L["Trainer"])
	ARL:addTradeSkill(BTS["Frost Resistance (Rank 4)"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Frost Resistance (Rank 5)"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Great Stamina (Rank 1)"], 10, L["Trainer"])
	ARL:addTradeSkill(BTS["Great Stamina (Rank 2)"], 12, L["Trainer"])
	ARL:addTradeSkill(BTS["Great Stamina (Rank 3)"], 18, L["Trainer"])
	ARL:addTradeSkill(BTS["Great Stamina (Rank 4)"], 24, L["Trainer"])
	ARL:addTradeSkill(BTS["Great Stamina (Rank 5)"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Great Stamina (Rank 6)"], 36, L["Trainer"])
	ARL:addTradeSkill(BTS["Great Stamina (Rank 7)"], 42, L["Trainer"])
	ARL:addTradeSkill(BTS["Great Stamina (Rank 8)"], 48, L["Trainer"])
	ARL:addTradeSkill(BTS["Great Stamina (Rank 9)"], 54, L["Trainer"])
	ARL:addTradeSkill(BTS["Great Stamina (Rank 10)"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Great Stamina (Rank 11)"], 70, L["Trainer"])
	ARL:addTradeSkill(BTS["Natural Armor (Rank 1)"], 10, L["Trainer"])
	ARL:addTradeSkill(BTS["Natural Armor (Rank 2)"], 12, L["Trainer"])
	ARL:addTradeSkill(BTS["Natural Armor (Rank 3)"], 18, L["Trainer"])
	ARL:addTradeSkill(BTS["Natural Armor (Rank 4)"], 24, L["Trainer"])
	ARL:addTradeSkill(BTS["Natural Armor (Rank 5)"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Natural Armor (Rank 6)"], 36, L["Trainer"])
	ARL:addTradeSkill(BTS["Natural Armor (Rank 7)"], 42, L["Trainer"])
	ARL:addTradeSkill(BTS["Natural Armor (Rank 8)"], 48, L["Trainer"])
	ARL:addTradeSkill(BTS["Natural Armor (Rank 9)"], 54, L["Trainer"])
	ARL:addTradeSkill(BTS["Natural Armor (Rank 10)"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Natural Armor (Rank 11)"], 70, L["Trainer"])
	ARL:addTradeSkill(BTS["Nature Resistance (Rank 1)"], 20, L["Trainer"])
	ARL:addTradeSkill(BTS["Nature Resistance (Rank 2)"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Nature Resistance (Rank 3)"], 40, L["Trainer"])
	ARL:addTradeSkill(BTS["Nature Resistance (Rank 4)"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Nature Resistance (Rank 5)"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Shadow Resistance (Rank 1)"], 20, L["Trainer"])
	ARL:addTradeSkill(BTS["Shadow Resistance (Rank 2)"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Shadow Resistance (Rank 3)"], 40, L["Trainer"])
	ARL:addTradeSkill(BTS["Shadow Resistance (Rank 4)"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Shadow Resistance (Rank 5)"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Bite (Rank 1)"], 1, L["Bite (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Bite (Rank 2)"], 10, L["Bite (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Bite (Rank 3)"], 16, L["Bite (Rank 3) Obt"])
	ARL:addTradeSkill(BTS["Bite (Rank 4)"], 24, L["Bite (Rank 4) Obt"])
	ARL:addTradeSkill(BTS["Bite (Rank 5)"], 32, L["Bite (Rank 5) Obt"])
	ARL:addTradeSkill(BTS["Bite (Rank 6)"], 40, L["Bite (Rank 6) Obt"])
	ARL:addTradeSkill(BTS["Bite (Rank 7)"], 48, L["Bite (Rank 7) Obt"])
	ARL:addTradeSkill(BTS["Bite (Rank 8)"], 56, L["Bite (Rank 8) Obt"])
	ARL:addTradeSkill(BTS["Bite (Rank 9)"], 64, L["Bite (Rank 9) Obt"])
	ARL:addTradeSkill(BTS["Claw (Rank 1)"], 1, L["Claw (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Claw (Rank 2)"], 10, L["Claw (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Claw (Rank 3)"], 16, L["Claw (Rank 3) Obt"])
	ARL:addTradeSkill(BTS["Claw (Rank 4)"], 24, L["Claw (Rank 4) Obt"])
	ARL:addTradeSkill(BTS["Claw (Rank 5)"], 32, L["Claw (Rank 5) Obt"])
	ARL:addTradeSkill(BTS["Claw (Rank 6)"], 40, L["Claw (Rank 6) Obt"])
	ARL:addTradeSkill(BTS["Claw (Rank 7)"], 48, L["Claw (Rank 7) Obt"])
	ARL:addTradeSkill(BTS["Claw (Rank 8)"], 56, L["Claw (Rank 8) Obt"])
	ARL:addTradeSkill(BTS["Claw (Rank 9)"], 64, L["Claw (Rank 9) Obt"])
	ARL:addTradeSkill(BTS["Charge (Rank 1)"], 10, L["Charge (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Charge (Rank 2)"], 12, L["Charge (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Charge (Rank 3)"], 24, L["Charge (Rank 3) Obt"])
	--ARL:addTradeSkill(BTS["Charge (Rank 4)"], 36, L["Charge (Rank 4) Obt"]) -- No charge rank 4 in the game
	ARL:addTradeSkill(BTS["Charge (Rank 5)"], 48, L["Charge (Rank 5) Obt"])
	ARL:addTradeSkill(BTS["Charge (Rank 6)"], 60, L["Charge (Rank 6) Obt"])
	ARL:addTradeSkill(BTS["Cower (Rank 1)"], 10, L["Cower (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Cower (Rank 2)"], 15, L["Cower (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Cower (Rank 3)"], 25, L["Cower (Rank 3) Obt"])
	ARL:addTradeSkill(BTS["Cower (Rank 4)"], 35, L["Cower (Rank 4) Obt"])
	ARL:addTradeSkill(BTS["Cower (Rank 5)"], 45, L["Cower (Rank 5) Obt"])
	ARL:addTradeSkill(BTS["Cower (Rank 6)"], 55, L["Cower (Rank 6) Obt"])
	ARL:addTradeSkill(BTS["Cower (Rank 7)"], 65, L["Cower (Rank 7) Obt"])
	ARL:addTradeSkill(BTS["Dash (Rank 1)"], 30, L["Dash (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Dash (Rank 2)"], 40, L["Dash (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Dash (Rank 3)"], 50, L["Dash (Rank 3) Obt"])
	ARL:addTradeSkill(BTS["Dive (Rank 1)"], 30, L["Dive (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Dive (Rank 2)"], 40, L["Dive (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Dive (Rank 3)"], 50, L["Dive (Rank 3) Obt"])
	ARL:addTradeSkill(BTS["Fire Breath (Rank 1)"], 1, L["Fire Breath (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Fire Breath (Rank 2)"], 60, L["Fire Breath (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Furious Howl (Rank 1)"], 10, L["Furious Howl (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Furious Howl (Rank 2)"], 24, L["Furious Howl (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Furious Howl (Rank 3)"], 40, L["Furious Howl (Rank 3) Obt"])
	ARL:addTradeSkill(BTS["Furious Howl (Rank 4)"], 56, L["Furious Howl (Rank 4) Obt"])
	ARL:addTradeSkill(BTS["Gore (Rank 1)"], 1, L["Gore (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Gore (Rank 2)"], 8, L["Gore (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Gore (Rank 3)"], 16, L["Gore (Rank 3) Obt"])
	ARL:addTradeSkill(BTS["Gore (Rank 4)"], 24, L["Gore (Rank 4) Obt"])
	--ARL:addTradeSkill(BTS["Gore (Rank 5)"], 32, L["Gore (Rank 5) Obt"]) -- Not in game
	--ARL:addTradeSkill(BTS["Gore (Rank 6)"], 40, L["Gore (Rank 6) Obt"]) -- Not in game
	ARL:addTradeSkill(BTS["Gore (Rank 7)"], 48, L["Gore (Rank 7) Obt"])
	ARL:addTradeSkill(BTS["Gore (Rank 8)"], 56, L["Gore (Rank 8) Obt"])
	ARL:addTradeSkill(BTS["Gore (Rank 9)"], 63, L["Gore (Rank 9) Obt"])
	ARL:addTradeSkill(BTS["Growl (Rank 1)"], 10, L["Trainer"])
	ARL:addTradeSkill(BTS["Growl (Rank 2)"], 10, L["Trainer"])
	ARL:addTradeSkill(BTS["Growl (Rank 3)"], 20, L["Trainer"])
	ARL:addTradeSkill(BTS["Growl (Rank 4)"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Growl (Rank 5)"], 40, L["Trainer"])
	ARL:addTradeSkill(BTS["Growl (Rank 6)"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Growl (Rank 7)"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Growl (Rank 8)"], 70, L["Trainer"])
	ARL:addTradeSkill(BTS["Lightning Breath (Rank 1)"], 1, L["Lightning Breath (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Lightning Breath (Rank 2)"], 12, L["Lightning Breath (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Lightning Breath (Rank 3)"], 24, L["Lightning Breath (Rank 3) Obt"])
	ARL:addTradeSkill(BTS["Lightning Breath (Rank 4)"], 36, L["Lightning Breath (Rank 4) Obt"])
	ARL:addTradeSkill(BTS["Lightning Breath (Rank 5)"], 48, L["Lightning Breath (Rank 5) Obt"])
	ARL:addTradeSkill(BTS["Lightning Breath (Rank 6)"], 60, L["Lightning Breath (Rank 6) Obt"])
	ARL:addTradeSkill(BTS["Poison Spit (Rank 1)"], 15, L["Poison Spit (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Poison Spit (Rank 2)"], 45, L["Poison Spit (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Poison Spit (Rank 3)"], 60, L["Poison Spit (Rank 3) Obt"])	
	ARL:addTradeSkill(BTS["Prowl (Rank 1)"], 30, L["Prowl (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Prowl (Rank 2)"], 40, L["Prowl (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Prowl (Rank 3)"], 50, L["Prowl (Rank 3) Obt"])
	ARL:addTradeSkill(BTS["Scorpid Poison (Rank 1)"], 10, L["Scorpid Poison (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Scorpid Poison (Rank 2)"], 24, L["Scorpid Poison (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Scorpid Poison (Rank 3)"], 40, L["Scorpid Poison (Rank 3) Obt"])
	ARL:addTradeSkill(BTS["Scorpid Poison (Rank 4)"], 56, L["Scorpid Poison (Rank 4) Obt"])
	ARL:addTradeSkill(BTS["Scorpid Poison (Rank 5)"], 64, L["Scorpid Poison (Rank 5) Obt"])
	ARL:addTradeSkill(BTS["Screech (Rank 1)"], 10, L["Screech (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Screech (Rank 2)"], 24, L["Screech (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Screech (Rank 3)"], 48, L["Screech (Rank 3) Obt"])
	ARL:addTradeSkill(BTS["Screech (Rank 4)"], 56, L["Screech (Rank 4) Obt"])
	ARL:addTradeSkill(BTS["Screech (Rank 5)"], 64, L["Screech (Rank 5) Obt"])
	ARL:addTradeSkill(BTS["Shell Shield (Rank 1)"], 20, L["Shell Shield (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Thunderstomp (Rank 1)"], 30, L["Thunderstomp (Rank 1) Obt"])
	ARL:addTradeSkill(BTS["Thunderstomp (Rank 2)"], 40, L["Thunderstomp (Rank 2) Obt"])
	ARL:addTradeSkill(BTS["Thunderstomp (Rank 3)"], 50, L["Thunderstomp (Rank 3) Obt"])
	ARL:addTradeSkill(BTS["Warp (Rank 1)"], 60, L["Warp (Rank 1) Obt"])

end