--[[

ARLBlackSmith-.lua

Blacksmithing data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BTS		= AceLibrary("Babble-Tradeskill-2.2")
local BFAC		= AceLibrary("Babble-Faction-2.2")
local BCLASS	= AceLibrary("Babble-Class-2.2")

-- Initializes the array adding all Blacksmithing recipes.  As of 2.2 there are 355 recipes.

function ARL:ARL_InitBlackSmith()

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkill(BTS["Rough Sharpening Stone"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Copper Bracers"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Rough Copper Vest"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Copper Chain Pants"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Copper Mace"], 15, L["Trainer"])
	ARL:addTradeSkill(BTS["Copper Chain Boots"], 20, L["Trainer"])
	ARL:addTradeSkill(BTS["Copper Axe"], 20, L["Trainer"])
	ARL:addTradeSkill(BTS["Rough Weightstone"], 25, L["Trainer"])
	ARL:addTradeSkill(BTS["Rough Grinding Stone"], 25, L["Trainer"])
	ARL:addTradeSkill(BTS["Copper Shortsword"], 25, L["Trainer"])
	ARL:addTradeSkill(BTS["Copper Dagger"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Copper Claymore"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Copper Battle Axe"], 35, L["Trainer"])
	ARL:addTradeSkill(BTS["Copper Chain Belt"], 35, L["Trainer"])
	ARL:addTradeSkill(BTS["Runed Copper Gauntlets"], 40, L["Trainer"])
	ARL:addTradeSkill(BTS["Runed Copper Pants"], 45, L["Trainer"])
	ARL:addTradeSkill(BTS["Coarse Weightstone"], 65, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Copper Maul"], 65, L["Trainer"])
	ARL:addTradeSkill(BTS["Coarse Sharpening Stone"], 65, L["Trainer"])
	ARL:addTradeSkill(BTS["Coarse Grinding Stone"], 75, L["Trainer"])
	ARL:addTradeSkill(BTS["Runed Copper Bracers"], 90, L["Trainer"])
	ARL:addTradeSkill(BTS["Thick War Axe"], 90, L["Trainer"])
	ARL:addTradeSkill(BTS["Runed Copper Belt"], 90, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Copper Broadsword"], 95, L["Trainer"])
	ARL:addTradeSkill(BTS["Rough Bronze Boots"], 95, L["Trainer"])
	ARL:addTradeSkill(BTS["Big Bronze Knife"], 100, L["Trainer"])
	ARL:addTradeSkill(BTS["Silver Rod"], 100, L["Trainer"])
	ARL:addTradeSkill(BTS["Silver Skeleton Key"], 100, L["Trainer"])
	ARL:addTradeSkill(BTS["Thick Bronze Darts"], 100, L["Trainer"])
	ARL:addTradeSkill(BTS["Rough Bronze Leggings"], 105, L["Trainer"])
	ARL:addTradeSkill(BTS["Rough Bronze Cuirass"], 105, L["Trainer"])
	ARL:addTradeSkill(BTS["Rough Bronze Shoulders"], 110, L["Trainer"])
	ARL:addTradeSkill(BTS["Bronze Mace"], 110, L["Trainer"])
	ARL:addTradeSkill(BTS["Pearl-handled Dagger"], 115, L["Trainer"])
	ARL:addTradeSkill(BTS["Bronze Axe"], 115, L["Trainer"])
	ARL:addTradeSkill(BTS["Bronze Shortsword"], 120, L["Trainer"])
	ARL:addTradeSkill(BTS["Patterned Bronze Bracers"], 120, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Weightstone"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Grinding Stone"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Bronze Warhammer"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Sharpening Stone"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Bronze Mace"], 130, L["Trainer"])
	ARL:addTradeSkill(BTS["Silvered Bronze Boots"], 130, L["Trainer"])
	ARL:addTradeSkill(BTS["Bronze Greatsword"], 130, L["Trainer"])
	ARL:addTradeSkill(BTS["Silvered Bronze Gauntlets"], 135, L["Trainer"])
	ARL:addTradeSkill(BTS["Bronze Battle Axe"], 135, L["Trainer"])
	ARL:addTradeSkill(BTS["Shining Silver Breastplate"], 145, L["Trainer"])
	ARL:addTradeSkill(BTS["Iron Buckle"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Golden Rod"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Golden Skeleton Key"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Green Iron Leggings"], 155, L["Trainer"])
	ARL:addTradeSkill(BTS["Green Iron Bracers"], 165, L["Trainer"])
	ARL:addTradeSkill(BTS["Green Iron Helm"], 170, L["Trainer"])
	ARL:addTradeSkill(BTS["Green Iron Hauberk"], 180, L["Trainer"])
	ARL:addTradeSkill(BTS["Glinting Steel Dagger"], 180, L["Trainer"])
	ARL:addTradeSkill(BTS["Golden Scale Bracers"], 185, L["Trainer"])
	ARL:addTradeSkill(BTS["Steel Breastplate"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Solid Sharpening Stone"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Solid Weightstone"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Solid Grinding Stone"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Truesilver Rod"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Truesilver Skeleton Key"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Whirling Steel Axes"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Mithril Shoulder"], 205, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Mithril Gauntlet"], 205, L["Trainer"])
	ARL:addTradeSkill(BTS["Mithril Scale Pants"], 210, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Mithril Axe"], 210, L["Trainer"])
	ARL:addTradeSkill(BTS["Steel Plate Helm"], 215, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Mithril Breastplate"], 230, L["Trainer"])
	ARL:addTradeSkill(BTS["Mithril Coif"], 230, L["Trainer"])
	ARL:addTradeSkill(BTS["Big Black Mace"], 230, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Mithril Boots"], 235, L["Trainer"])
	ARL:addTradeSkill(BTS["Ornate Mithril Breastplate"], 235, L["Trainer"])
	ARL:addTradeSkill(BTS["Ornate Mithril Boots"], 240, L["Trainer"])
	ARL:addTradeSkill(BTS["Dense Sharpening Stone"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Dense Weightstone"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Dense Grinding Stone"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Arcanite Skeleton Key"], 275, L["Trainer"])
	ARL:addTradeSkill(BTS["Arcanite Rod"], 275, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchanted Thorium Blades"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["The Shatterer"], 235 , L["Trainer"])
	ARL:addTradeSkill(BTS["Phantom Blade"], 245, L["Trainer"])
	ARL:addTradeSkill(BTS["Blight"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Truesilver Champion"], 260, L["Trainer"])
  	ARL:addTradeSkill(BTS["Truesilver Gauntlets"], 225, L["Trainer"])
	ARL:addTradeSkill(BTS["Truesilver Breastplate"], 245, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Sharpening Stone"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Weightstone"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Rod"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Chain Coif"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Plate Gloves"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Plate Belt"], 305, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Hatchet"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Chain Gloves"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Plate Boots"], 315, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Plate Pants"], 315, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Chain Bracers"], 315, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Hammer"], 315, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Greatsword"], 320, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Chain Tunic"], 320, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Breastplate"], 325, L["Trainer"])
	ARL:addTradeSkill(BTS["Lesser Rune of Warding"], 325, L["Trainer"])
	ARL:addTradeSkill(BTS["Felsteel Whisper Knives"], 350, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkill(BTS["Solid Iron Maul"], 155, L["Vendor"])
	ARL:addTradeSkill(BTS["Hardened Iron Shortsword"], 160, L["Vendor"])
	ARL:addTradeSkill(BTS["Moonsteel Broadsword"], 180, L["Vendor"])
	ARL:addTradeSkill(BTS["Massive Iron Axe"], 185, L["Vendor"])
	ARL:addTradeSkill(BTS["Golden Scale Coif"], 190, L["Vendor"])
	ARL:addTradeSkill(BTS["Mithril Scale Bracers"], 215, L["Vendor"])
	ARL:addTradeSkill(BTS["Ornate Thorium Handaxe"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Huge Thorium Battleaxe"], 280, L["Vendor"])
	ARL:addTradeSkill(BTS["Storm Gauntlets"], 295, L["Vendor"])
	ARL:addTradeSkill(BTS["Adamantite Maul"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Adamantite Cleaver"], 330, L["Vendor"])
	ARL:addTradeSkill(BTS["Adamantite Dagger"], 330, L["Vendor"])
	ARL:addTradeSkill(BTS["Adamantite Rapier"], 335, L["Vendor"])
	ARL:addTradeSkill(BTS["Adamantite Plate Bracers"], 335, L["Vendor"])
	ARL:addTradeSkill(BTS["Adamantite Plate Gloves"], 335, L["Vendor"])
	ARL:addTradeSkill(BTS["Lesser Ward of Shielding"], 340, L["Vendor"])
	ARL:addTradeSkill(BTS["Adamantite Breastplate"], 340, L["Vendor"])
	ARL:addTradeSkill(BTS["Adamantite Rod"], 350, L["Vendor"])
	ARL:addTradeSkill(BTS["Eternium Rod"], 375, L["Vendor"])

	-- World Drops
	ARL:addTradeSkill(BTS["Copper Chain Vest"], 35, L["UWD"])
	ARL:addTradeSkill(BTS["Gemmed Copper Gauntlets"], 60, L["UWD"])
	ARL:addTradeSkill(BTS["Runed Copper Breastplate"], 80, L["UWD"])
	ARL:addTradeSkill(BTS["Deadly Bronze Poniard"], 125, L["UWD"])
	ARL:addTradeSkill(BTS["Silvered Bronze Shoulders"], 125, L["UWD"])
	ARL:addTradeSkill(BTS["Silvered Bronze Breastplate"], 130, L["UWD"])
	ARL:addTradeSkill(BTS["Iridescent Hammer"], 140, L["UWD"])
	ARL:addTradeSkill(BTS["Mighty Iron Hammer"], 145, L["UWD"])
	ARL:addTradeSkill(BTS["Green Iron Boots"], 145, L["UWD"])
	ARL:addTradeSkill(BTS["Green Iron Gauntlets"], 150, L["UWD"])
	ARL:addTradeSkill(BTS["Iron Shield Spike"], 150, L["UWD"])
	ARL:addTradeSkill(BTS["Silvered Bronze Leggings"], 155, L["UWD"])
	ARL:addTradeSkill(BTS["Green Iron Shoulders"], 160, L["UWD"])
	ARL:addTradeSkill(BTS["Iron Counterweight"], 165, L["UWD"])
	ARL:addTradeSkill(BTS["Golden Iron Destroyer"], 170, L["UWD"])
	ARL:addTradeSkill(BTS["Golden Scale Leggings"], 170, L["UWD"])
	ARL:addTradeSkill(BTS["Jade Serpentblade"], 175, L["UWD"])
	ARL:addTradeSkill(BTS["Golden Scale Shoulders"], 175, L["UWD"])
	ARL:addTradeSkill(BTS["Polished Steel Boots"], 185, L["UWD"])
	ARL:addTradeSkill(BTS["Steel Weapon Chain"], 190, L["UWD"])
	ARL:addTradeSkill(BTS["Searing Golden Blade"], 190, L["UWD"])
	ARL:addTradeSkill(BTS["Golden Scale Cuirass"], 195, L["UWD"])
	ARL:addTradeSkill(BTS["Frost Tiger Blade"], 200, L["UWD"])
	ARL:addTradeSkill(BTS["Shadow Crescent Axe"], 200, L["UWD"])
	ARL:addTradeSkill(BTS["Golden Scale Boots"], 200, L["UWD"])
	ARL:addTradeSkill(BTS["Heavy Mithril Pants"], 210, L["UWD"])
	ARL:addTradeSkill(BTS["Mithril Shield Spike"], 215, L["UWD"])
	ARL:addTradeSkill(BTS["Blue Glittering Axe"], 220, L["UWD"])
	ARL:addTradeSkill(BTS["Wicked Mithril Blade"], 225, L["UWD"])
	ARL:addTradeSkill(BTS["Mithril Spurs"], 235, L["UWD"])
	ARL:addTradeSkill(BTS["Mithril Scale Shoulders"], 235, L["UWD"])
	ARL:addTradeSkill(BTS["Dazzling Mithril Rapier"], 240, L["UWD"])
	ARL:addTradeSkill(BTS["Heavy Mithril Helm"], 245, L["UWD"])
	ARL:addTradeSkill(BTS["Runed Mithril Hammer"], 245, L["UWD"])
	ARL:addTradeSkill(BTS["Thorium Armor"], 250, L["UWD"])
	ARL:addTradeSkill(BTS["Thorium Belt"], 250, L["UWD"])
	ARL:addTradeSkill(BTS["Ebon Shiv"], 255, L["Vendor"])
	ARL:addTradeSkill(BTS["Thorium Bracers"], 255, L["UWD"])
	ARL:addTradeSkill(BTS["Radiant Belt"], 260, L["UWD"])
	ARL:addTradeSkill(BTS["Radiant Breastplate"], 270, L["UWD"])
	ARL:addTradeSkill(BTS["Thorium Shield Spike"], 275, L["UWD"])
	ARL:addTradeSkill(BTS["Thorium Boots"], 280, L["UWD"])
	ARL:addTradeSkill(BTS["Thorium Helm"], 280, L["UWD"])
	ARL:addTradeSkill(BTS["Radiant Gloves"], 285, L["UWD"])
	ARL:addTradeSkill(BTS["Radiant Boots"], 290, L["UWD"])
	ARL:addTradeSkill(BTS["Radiant Circlet"], 295, L["UWD"])
	ARL:addTradeSkill(BTS["Thorium Leggings"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Radiant Leggings"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Wildthorn Mail"], 270, L["UWD"])
	ARL:addTradeSkill(BTS["Dawnbringer Shoulders"], 290, L["UWD"])
	ARL:addTradeSkill(BTS["Whitesoul Helm"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Helm of the Great Chief"], 300, L["RWD"])
	ARL:addTradeSkill(BTS["Lionheart Helm"], 300, L["EWD"])
	ARL:addTradeSkill(BTS["Stronghold Gauntlets"], 300, L["EWD"])
	ARL:addTradeSkill(BTS["Titanic Leggings"], 300, L["EWD"])
	ARL:addTradeSkill(BTS["Sageblade"], 300, L["EWD"])
	ARL:addTradeSkill(BTS["Persuader"], 300, L["EWD"])
	ARL:addTradeSkill(BTS["Adamantite Weapon Chain"], 335, L["UWD"])
	ARL:addTradeSkill(BTS["Gauntlets of the Iron Tower"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Felfury Gauntlets"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Steelgrip Gauntlets"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Storm Helm"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Helm of the Stalwart Defender"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Oathkeeper's Helm"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Black Felsteel Bracers"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Bracers of the Green Fortress"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Blessed Bracers"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Felsteel Longblade"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Khorium Champion"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Fel Edged Battleaxe"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Felsteel Reaper"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Runic Hammer"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Fel Hardened Maul"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Eternium Runed Blade"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Hammer of Righteous Might"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Dirge"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Hand of Eternity"], 365, L["EWD"])

	-- Specific Drops
	ARL:addTradeSkill(BTS["Heavy Copper Longsword"], 35, L["Heavy Copper Longsword Obt"])
	ARL:addTradeSkill(BTS["Ironforge Breastplate"], 100, L["Ironforge Breastplate Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Barbaric Iron Shoulders"], 160, L["Barbaric Iron Shoulders Obt"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Barbaric Iron Breastplate"], 160, L["Barbaric Iron Breastplate Obt"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Barbaric Iron Helm"], 175, L["Barbaric Iron Helm Obt"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Barbaric Iron Boots"], 180, L["Barbaric Iron Boots Obt"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Barbaric Iron Gloves"], 185, L["Barbaric Iron Gloves Obt"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Inlaid Mithril Cylinder"], 200, L["Inlaid Mithril Cylinder Obt"])
	ARL:addTradeSkill(BTS["Golden Scale Gauntlets"], 205, L["Golden Scale Gauntlets Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Ornate Mithril Pants"], 220, L["Ornate Mithril Pants Obt"])
	ARL:addTradeSkill(BTS["Ornate Mithril Gloves"], 220, L["Ornate Mithril Gloves Obt"])
	ARL:addTradeSkill(BTS["Ornate Mithril Shoulder"], 225, L["Ornate Mithril Shoulder Obt"])
	ARL:addTradeSkill(BTS["Ornate Mithril Helm"], 245, L["Ornate Mithril Helm Obt"])
	ARL:addTradeSkill(BTS["Orcish War Leggings"], 210, L["Orcish War Leggings Obt"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Imperial Plate Shoulders"], 265, L["Imperial Plate Shoulders Obt"])
	ARL:addTradeSkill(BTS["Imperial Plate Belt"], 265, L["Imperial Plate Belt Obt"])
	ARL:addTradeSkill(BTS["Dark Iron Mail"], 270, L["Blacksmithing Plans"])
	ARL:addTradeSkill(BTS["Imperial Plate Bracers"], 270, L["Imperial Plate Bracers Obt"])
	ARL:addTradeSkill(BTS["Dark Iron Shoulders"], 280, L["Blacksmithing Plans"])
	ARL:addTradeSkill(BTS["Imperial Plate Boots"], 295, L["Imperial Plate Boots Obt"])
	ARL:addTradeSkill(BTS["Imperial Plate Helm"], 295, L["Imperial Plate Helm Obt"])
	ARL:addTradeSkill(BTS["Imperial Plate Chest"], 300, L["Imperial Plate Chest Obt"])
	ARL:addTradeSkill(BTS["Runic Plate Shoulders"], 300, L["Runic Plate Shoulders Obt"])
	ARL:addTradeSkill(BTS["Runic Plate Boots"], 300, L["Runic Plate Boots Obt"])
	ARL:addTradeSkill(BTS["Runic Plate Helm"], 300, L["Runic Plate Helm Obt"])
	ARL:addTradeSkill(BTS["Imperial Plate Leggings"], 300, L["Imperial Plate Leggings Obt"])
	ARL:addTradeSkill(BTS["Runic Breastplate"], 300, L["Runic Breastplate Obt"])
	ARL:addTradeSkill(BTS["Runic Plate Leggings"], 300, L["Runic Plate Leggings Obt"])
	ARL:addTradeSkill(BTS["Sulfuron Hammer"], 300, L["Sulfuron Hammer Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Darkrune Breastplate"], 300, L["TrueBelieverQuest"])
	ARL:addTradeSkill(BTS["Darkrune Gauntlets"], 300, L["TrueBelieverQuest"])
	ARL:addTradeSkill(BTS["Darkrune Helm"], 300, L["TrueBelieverQuest"])
	ARL:addTradeSkill(BTS["Volcanic Hammer"], 290, L["Volcanic Hammer Obt"])
	ARL:addTradeSkill(BTS["Dark Iron Sunderer"], 275, L["Dark Iron Sunderer Obt"])
	ARL:addTradeSkill(BTS["Heartseeker"], 300, L["Heartseeker Obt"])
	ARL:addTradeSkill(BTS["Dark Iron Plate"], 285, L["Dark Iron Plate Obt"])
	ARL:addTradeSkill(BTS["Demon Forged Breastplate"], 285, L["Demon Forged Breastplate Obt"])
	ARL:addTradeSkill(BTS["Fiery Plate Gauntlets"], 290, L["Fiery Plate Gauntlets Obt"])
	ARL:addTradeSkill(BTS["Enchanted Thorium Helm"], 300, L["Enchanted Thorium Helm Obt"])
	ARL:addTradeSkill(BTS["Enchanted Thorium Leggings"], 300, L["Enchanted Thorium Leggings Obt"])
	ARL:addTradeSkill(BTS["Enchanted Thorium Breastplate"], 300, L["Enchanted Thorium Breastplate Obt"])
	ARL:addTradeSkill(BTS["Invulnerable Mail"], 300, L["Invulnerable Mail Obt"])
	ARL:addTradeSkill(BTS["Arcanite Champion"], 300, L["Arcanite Champion Obt"])
	ARL:addTradeSkill(BTS["Frostguard"], 300, L["Frostguard Obt"])
	ARL:addTradeSkill(BTS["Corruption"], 290, L["Blacksmithing Plans"])
	ARL:addTradeSkill(BTS["Serenity"], 285, L["Blacksmithing Plans"])
	ARL:addTradeSkill(BTS["Hammer of the Titans"], 300, L["Hammer of the Titans Obt"])
	ARL:addTradeSkill(BTS["Masterwork Stormhammer"], 300, L["Masterwork Stormhammer Obt"])
	ARL:addTradeSkill(BTS["Annihilator"], 300, L["Annihilator Obt"])
	ARL:addTradeSkill(BTS["Arcanite Reaper"], 300, L["Arcanite Reaper Obt"])
	ARL:addTradeSkill(BTS["Felsteel Gloves"], 360, L["Felsteel Gloves Obt"])
	ARL:addTradeSkill(BTS["Felsteel Leggings"], 360, L["Felsteel Leggings Obt"])
	ARL:addTradeSkill(BTS["Khorium Belt"], 360, L["Khorium Belt Obt"])
	ARL:addTradeSkill(BTS["Khorium Pants"], 360, L["Khorium Pants Obt"])
	ARL:addTradeSkill(BTS["Felsteel Helm"], 365, L["Felsteel Helm Obt"])
	ARL:addTradeSkill(BTS["Khorium Boots"], 365, L["Khorium Boots Obt"])
	ARL:addTradeSkill(BTS["Ragesteel Gloves"], 365, L["Ragesteel Gloves Obt"])
	ARL:addTradeSkill(BTS["Ragesteel Helm"], 365, L["Ragesteel Helm Obt"])
	ARL:addTradeSkill(BTS["Ragesteel Breastplate"], 370, L["Ragesteel Breastplate Obt"])
	ARL:addTradeSkill(BTS["Swiftsteel Gloves"], 370, L["Swiftsteel Gloves Obt"])
 	ARL:addTradeSkill(BTS["Earthpeace Breastplate"], 370, L["Earthpeace Breastplate Obt"])
	ARL:addTradeSkill(BTS["Greater Ward of Shielding"], 375, L["Greater Ward of Shielding Obt"])
	ARL:addTradeSkill(BTS["Ragesteel Shoulders"], 365, L["Ragesteel Shoulders Obt"])

	-- Seasonal
	ARL:addTradeSkill(BTS["Edge of Winter"], 190, L["WintersVeil"], {L["Seasonal"]})

	-- Reputations
	ARL:addTradeSkill(BTS["Heavy Timbermaw Belt"], 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill(BTS["Girdle of the Dawn"], 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkill(BTS["Heavy Timbermaw Boots"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill(BTS["Gloves of the Dawn"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkill(BTS["Bloodsoul Breastplate"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Bloodsoul Gauntlets"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Bloodsoul Shoulders"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Darksoul Breastplate"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Darksoul Leggings"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Darksoul Shoulders"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Heavy Obsidian Belt"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Light Obsidian Belt"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Jagged Obsidian Shield"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Dark Iron Destroyer"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Nightfall"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Icebane Bracers"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Icebane Gauntlets"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Icebane Breastplate"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Ebon Hand"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Dark Iron Reaver"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Blackguard"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Dark Iron Leggings"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Fiery Chain Shoulders"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Dark Iron Helm"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Dark Iron Gauntlets"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Dark Iron Boots"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Dark Iron Bracers"], 295, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Fiery Chain Girdle"], 295, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Black Amnesty"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Blackfury"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Ironvine Breastplate"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Ironvine Gloves"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Ironvine Belt"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Obsidian Mail Tunic"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Adamantite Sharpening Stone"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Greater Rune of Warding"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Adamantite Weightstone"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Flamebane Bracers"], 350, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Enchanted Adamantite Belt"], 355, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Enchanted Adamantite Boots"], 355, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Flamebane Helm"], 355, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Enchanted Adamantite Breastplate"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Flamebane Gloves"], 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Felsteel Shield Spike"], 360, ARL:ARL_AddReputation2(BFAC["Exalted"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Enchanted Adamantite Leggings"], 365, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Flamebane Breastplate"], 365, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Wildguard Breastplate"], 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Wildguard Leggings"], 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Wildguard Helm"], 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Iceguard Breastplate"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Violet Eye"]), {L["Raid"]})
	ARL:addTradeSkill(BTS["Iceguard Leggings"], 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Violet Eye"]), {L["Raid"]})
	ARL:addTradeSkill(BTS["Iceguard Helm"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Violet Eye"]), {L["Raid"]})
 	ARL:addTradeSkill(BTS["Shadesteel Bracers"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Ashtongue Deathsworn"]), {BFAC["Ashtongue Deathsworn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Shadesteel Girdle"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Ashtongue Deathsworn"]), {BFAC["Ashtongue Deathsworn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Shadesteel Greaves"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {BFAC["Ashtongue Deathsworn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Shadesteel Sabots"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {BFAC["Ashtongue Deathsworn"], L["Raid"]})

	-- Raid Drops
	ARL:addTradeSkill(BTS["Elemental Sharpening Stone"], 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Black Grasp of the Destroyer"], 300, L["Black Grasp of the Destroyer Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Thick Obsidian Breastplate"], 300, L["Thick Obsidian Breastplate Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Red Havoc Boots"], 375, L["SSC/TKBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Belt of the Guardian"], 375, L["SSC/TKBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Red Belt of Battle"], 375, L["SSC/TKBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Boots of the Protector"], 375, L["SSC/TKBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Dawnsteel Bracers"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Dawnsteel Shoulders"], 375, L["BT/HYJALBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Swiftsteel Bracers"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Swiftsteel Shoulders"], 375, L["BT/HYJALBoE"], {L["Raid"]})

	-- Weaponsmith
	ARL:addTradeSkill(BTS["Light Earthforged Blade"], 260, L["Trainer"], {BTS["Weaponsmith"]})
	ARL:addTradeSkill(BTS["Light Emberforged Hammer"], 260, L["Trainer"], {BTS["Weaponsmith"]})
	ARL:addTradeSkill(BTS["Light Skyforged Axe"], 260, L["Trainer"], {BTS["Weaponsmith"]})
	ARL:addTradeSkill(BTS["Dark Iron Pulverizer"], 265, L["Dark Iron Pulverizer Obt"], {BTS["Weaponsmith"]})

	-- Armorsmith
	ARL:addTradeSkill(BTS["Earthforged Leggings"], 260, L["Trainer"], {BTS["Armorsmith"]})
	ARL:addTradeSkill(BTS["Windforged Leggings"], 260, L["Trainer"], {BTS["Armorsmith"]})
	ARL:addTradeSkill(BTS["Heavy Earthforged Breastplate"], 330, L["Trainer"], {BTS["Armorsmith"]})
	ARL:addTradeSkill(BTS["Stormforged Hauberk"], 330, L["Trainer"], {BTS["Armorsmith"]})
	ARL:addTradeSkill(BTS["Nether Chain Shirt"], 350, L["Trainer"], {BTS["Armorsmith"]})
	ARL:addTradeSkill(BTS["Breastplate of Kings"], 350, L["Trainer"], {BTS["Armorsmith"]})
	ARL:addTradeSkill(BTS["Twisting Nether Chain Shirt"], 375, L["Trainer"], {BTS["Armorsmith"]})
	ARL:addTradeSkill(BTS["Embrace of the Twisting Nether"], 375, L["Trainer"], {BTS["Armorsmith"]})
	ARL:addTradeSkill(BTS["Bulwark of Kings"], 375, L["Trainer"], {BTS["Armorsmith"]})
	ARL:addTradeSkill(BTS["Bulwark of the Ancient Kings"], 375, L["Trainer"], {BTS["Armorsmith"]})
	
	-- Master Swordsmith
	ARL:addTradeSkill(BTS["Blazing Rapier"], 280, L["Blazing Rapier Obt"], {BTS["Master Swordsmith"]})
	ARL:addTradeSkill(BTS["Windforged Rapier"], 330, L["Trainer"], {BTS["Master Swordsmith"]})
	ARL:addTradeSkill(BTS["Stoneforged Claymore"], 330, L["Trainer"], {BTS["Master Swordsmith"]})
	ARL:addTradeSkill(BTS["Fireguard"], 350, L["Trainer"], {BTS["Master Swordsmith"]})
	ARL:addTradeSkill(BTS["Lionheart Blade"], 350, L["Trainer"], {BTS["Master Swordsmith"]})
	ARL:addTradeSkill(BTS["Blazefury"], 375, L["Trainer"], {BTS["Master Swordsmith"]})
	ARL:addTradeSkill(BTS["Blazeguard"], 375, L["Trainer"], {BTS["Master Swordsmith"]})
	ARL:addTradeSkill(BTS["Lionheart Champion"], 375, L["Trainer"], {BTS["Master Swordsmith"]})
	ARL:addTradeSkill(BTS["Lionheart Executioner"], 375, L["Trainer"], {BTS["Master Swordsmith"]})

	-- Master Hammersmith
	ARL:addTradeSkill(BTS["Enchanted Battlehammer"], 280, L["Enchanted Battlehammer Obt"], {BTS["Master Hammersmith"]})
	ARL:addTradeSkill(BTS["Great Earthforged Hammer"], 330, L["Trainer"], {BTS["Master Hammersmith"]})
	ARL:addTradeSkill(BTS["Lavaforged Warhammer"], 330, L["Trainer"], {BTS["Master Hammersmith"]})
	ARL:addTradeSkill(BTS["Drakefist Hammer"], 350, L["Trainer"], {BTS["Master Hammersmith"]})
	ARL:addTradeSkill(BTS["Thunder"], 350, L["Trainer"], {BTS["Master Hammersmith"]})
	ARL:addTradeSkill(BTS["Deep Thunder"], 375, L["Trainer"], {BTS["Master Hammersmith"]})
	ARL:addTradeSkill(BTS["Dragonmaw"], 375, L["Trainer"], {BTS["Master Hammersmith"]})
	ARL:addTradeSkill(BTS["Dragonstrike"], 375, L["Trainer"], {BTS["Master Hammersmith"]})
	ARL:addTradeSkill(BTS["Stormherald"], 375, L["Trainer"], {BTS["Master Hammersmith"]})

	-- Master Axesmith
	ARL:addTradeSkill(BTS["Dawn's Edge"], 275, L["Dawn's Edge Obt"], {BTS["Master Axesmith"]})
	ARL:addTradeSkill(BTS["Skyforged Great Axe"], 330, L["Trainer"], {BTS["Master Axesmith"]})
	ARL:addTradeSkill(BTS["Stormforged Axe"], 330, L["Trainer"], {BTS["Master Axesmith"]})
	ARL:addTradeSkill(BTS["The Planar Edge"], 350, L["Trainer"], {BTS["Master Axesmith"]})
	ARL:addTradeSkill(BTS["Lunar Crescent"], 350, L["Trainer"], {BTS["Master Axesmith"]})
	ARL:addTradeSkill(BTS["Black Planar Edge"], 375, L["Trainer"], {BTS["Master Axesmith"]})
	ARL:addTradeSkill(BTS["Bloodmoon"], 375, L["Trainer"], {BTS["Master Axesmith"]})
	ARL:addTradeSkill(BTS["Mooncleaver"], 375, L["Trainer"], {BTS["Master Axesmith"]})
	ARL:addTradeSkill(BTS["Wicked Edge of the Planes"], 375, L["Trainer"], {BTS["Master Axesmith"]})
	
end