--[[

ARL-Cook.lua

Cooking data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BTS		= AceLibrary("Babble-Tradeskill-2.2")
local BFAC		= AceLibrary("Babble-Faction-2.2")
local BCLASS	= AceLibrary("Babble-Class-2.2")

-- Initializes the array adding all Cooking recipes.  As of 2.3 there are 113 recipes.

function ARL:ARL_InitCooking()

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkill(BTS["Charred Wolf Meat"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Herb Baked Egg"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Roasted Boar Meat"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Spice Bread"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Spiced Wolf Meat"], 10, L["Trainer"])
	ARL:addTradeSkill(BTS["Boiled Clams"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Coyote Steak"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Crab Cake"], 75, L["Trainer"])
	ARL:addTradeSkill(BTS["Dry Pork Ribs"], 80, L["Trainer"])
	ARL:addTradeSkill(BTS["Goblin Deviled Clams"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Spider Sausage"], 200, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkill(BTS["Brilliant Smallfish"], 1, L["Vendor"])
	ARL:addTradeSkill(BTS["Crispy Bat Wing"], 1, L["Vendor"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Lynx Steak"], 1, L["Vendor"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Slitherskin Mackerel"], 1, L["Vendor"])
	ARL:addTradeSkill(BTS["Scorpid Surprise"], 20, L["Vendor"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Roasted Kodo Meat"], 35, L["Vendor"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Smoked Bear Meat"], 40, L["Vendor"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Fillet of Frenzy"], 50, L["Vendor"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Longjaw Mud Snapper"], 50, L["Vendor"])
	ARL:addTradeSkill(BTS["Loch Frenzy Delight"], 50, L["Vendor"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Rainbow Fin Albacore"], 50, L["Vendor"])
	ARL:addTradeSkill(BTS["Bat Bites"], 50, L["Vendor"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Smoked Sagefish"], 80, L["Vendor"])
	ARL:addTradeSkill(BTS["Cooked Crab Claw"], 85, L["Vendor"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Clam Chowder"], 90, L["Vendor"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Crispy Lizard Tail"], 100, L["Vendor"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Bristle Whisker Catfish"], 100, L["Vendor"])
	ARL:addTradeSkill(BTS["Lean Venison"], 110, L["Vendor"])
	ARL:addTradeSkill(BTS["Succulent Pork Ribs"], 110, L["Vendor"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Lean Wolf Steak"], 125, L["Vendor"])
	ARL:addTradeSkill(BTS["Heavy Crocolisk Stew"], 150, L["Vendor"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Giant Clam Scorcho"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Rockscale Cod"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Roast Raptor"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Hot Wolf Ribs"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Jungle Stew"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Carrion Surprise"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Mystery Stew"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Mithril Headed Trout"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Sagefish Delight"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Dragonbreath Chili"], 200, L["Vendor"])
	ARL:addTradeSkill(BTS["Heavy Kodo Stew"], 200, L["Vendor"])
	ARL:addTradeSkill(BTS["Spiced Chili Crab"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Monster Omelet"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Cooked Glossy Mightfish"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Spotted Yellowtail"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Filet of Redgill"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Undermine Clam Chowder"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Tender Wolf Steak"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Grilled Squid"], 240, L["Vendor"])
	ARL:addTradeSkill(BTS["Hot Smoked Bass"], 240, L["Vendor"])
	ARL:addTradeSkill(BTS["Nightfin Soup"], 250, L["Vendor"])
	ARL:addTradeSkill(BTS["Poached Sunscale Salmon"], 250, L["Vendor"])
	--ARL:addTradeSkill(BTS["Charred Bear Kabobs"], 250, L["Vendor"]) 2.4
	--ARL:addTradeSkill(BTS["Juicy Bear Burgers"], 250, L["Vendor"]) 2.4
	ARL:addTradeSkill(BTS["Lobster Stew"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Mightfish Steak"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Baked Salmon"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Ravager Dog"], 300, L["Vendor"])
	ARL:addTradeSkill(BTS["Blackened Trout"], 300, L["Vendor"])
	ARL:addTradeSkill(BTS["Feltail Delight"], 300, L["Vendor"])
	ARL:addTradeSkill(BTS["Blackened Sporefish"], 310, L["Vendor"])
	ARL:addTradeSkill(BTS["Blackened Basilisk"], 310, L["Vendor"])
	ARL:addTradeSkill(BTS["Grilled Mudfish"], 320, L["Vendor"])
	ARL:addTradeSkill(BTS["Poached Bluefish"], 320, L["Vendor"])
	ARL:addTradeSkill(BTS["Roasted Clefthoof"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Warp Burger"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Talbuk Steak"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Golden Fish Sticks"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Spicy Crawdad"], 350, L["Vendor"])

	-- World Drops

	-- Specific Drops
	ARL:addTradeSkill(BTS["Roasted Moongraze Tenderloin"], 1, L["Roasted Moongraze Tenderloin Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Kaldorei Spider Kabob"], 10, L["Kaldorei Spider Kabob Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Beer Basted Boar Ribs"], 25, L["Beer Basted Boar Ribs Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Strider Stew"], 50, L["Strider Stew Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Goretusk Liver Pie"], 50, L["Goretusk Liver Pie Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Blood Sausage"], 60, L["Blood Sausage Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Thistle Tea"], 60, L["Thistle Tea Obt"], {BCLASS["Rogue"]})
	ARL:addTradeSkill(BTS["Crunchy Spider Surprise"], 60, L["Crunchy Spider Surprise Obt"])
	ARL:addTradeSkill(BTS["Westfall Stew"], 75, L["Westfall Stew Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Crocolisk Steak"], 80, L["Crocolisk Steak Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Savory Deviate Delight"], 85, L["Savory Deviate Delight Obt"])
	ARL:addTradeSkill(BTS["Murloc Fin Soup"], 90, L["Murloc Fin Soup Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Dig Rat Stew"], 90, L["Dig Rat Stew Obt"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Redridge Goulash"], 100, L["Redridge Goulash Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Seasoned Wolf Kabob"], 100, L["Seasoned Wolf Kabob Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Gooey Spider Cake"], 110, L["Gooey Spider Cake Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Big Bear Steak"], 110, L["Big Bear Steak Obt"])
	ARL:addTradeSkill(BTS["Crocolisk Gumbo"], 120, L["Crocolisk Gumbo Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Hot Lion Chops"], 125, L["Hot Lion Chops Obt"])
	ARL:addTradeSkill(BTS["Curiously Tasty Omelet"], 130, L["Curiously Tasty Omelet Obt"])
	ARL:addTradeSkill(BTS["Tasty Lion Steak"], 150, L["Tasty Lion Steak Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Soothing Turtle Bisque"], 175, L["Soothing Turtle Bisque Obt"])
	ARL:addTradeSkill(BTS["Barbecued Buzzard Wing"], 175, L["Barbecued Buzzard Wing Obt"])
	ARL:addTradeSkill(BTS["Goldthorn Tea"], 175, L["Goldthorn Tea Obt"])
	ARL:addTradeSkill(BTS["Runn Tum Tuber Surprise"], 275, L["Runn Tum Tuber Surprise Obt"])
	ARL:addTradeSkill(BTS["Smoked Desert Dumplings"], 285, L["Smoked Desert Dumplings Obt"])
	ARL:addTradeSkill(BTS["Dirge's Kickin' Chimaerok Chops"], 300, L["Dirge's Kickin' Chimaerok Chops Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Delicious Chocolate Cake"], 325, L["Cooking Daily"])
	ARL:addTradeSkill(BTS["Buzzard Bites"], 300, L["Buzzard Bites Obt"])
	ARL:addTradeSkill(BTS["Kibler's Bits"], 300, L["Cooking Daily"])
	ARL:addTradeSkill(BTS["Broiled Bloodfin"], 300, L["Cooking Daily"])
	ARL:addTradeSkill(BTS["Stormchops"], 300, L["Cooking Daily"])
	ARL:addTradeSkill(BTS["Stewed Trout"], 310, L["Stewed Trout Obt"])
	ARL:addTradeSkill(BTS["Spicy Hot Talbuk"], 325, L["Cooking Daily"])
	ARL:addTradeSkill(BTS["Skullfish Soup"], 325, L["Cooking Daily"])
	ARL:addTradeSkill(BTS["Crunchy Serpent"], 335, L["Crunchy Serpent Obt"])
	ARL:addTradeSkill(BTS["Mok'Nathal Shortribs"], 335, L["Mok'Nathal Shortribs Obt"])
	ARL:addTradeSkill(BTS["Fisherman's Feast"], 350, L["Fisherman's Feast Obt"])
	ARL:addTradeSkill(BTS["Hot Buttered Trout"], 350, L["Hot Buttered Trout Obt"])

	-- Seasonal
	ARL:addTradeSkill(BTS["Gingerbread Cookie"], 1, L["WintersVeil"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Egg Nog"], 35, L["WintersVeil"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Hot Apple Cider"], 325, L["WintersVeil"], {L["Seasonal"]})

	-- Reputations
	ARL:addTradeSkill(BTS["Clam Bar"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Sporeggar"]), {BFAC["Sporeggar"]})
	ARL:addTradeSkill(BTS["Sporeling Snack"], 310, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Sporeggar"]), {BFAC["Sporeggar"]})

	-- Raid Drops

end
