--[[

ARL-Enchant.lua

Enchanting data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BTS		= AceLibrary("Babble-Tradeskill-2.2")
local BFAC		= AceLibrary("Babble-Faction-2.2")
local BCLASS	= AceLibrary("Babble-Class-2.2")

-- Initializes the array adding all Enchanting recipes.  As of 2.3 there are 217 recipes.

function ARL:ARL_InitEnchanting()

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkill(BTS["Enchant Bracer - Minor Health"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Minor Deflection"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Runed Copper Rod"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Minor Health"], 15, L["Trainer"])
	ARL:addTradeSkill(BTS["Lesser Magic Wand"], 15, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Minor Absorption"], 40, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Minor Resistance"], 45, L["Trainer"])
	ARL:addTradeSkill(BTS["Minor Wizard Oil"], 45, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Minor Stamina"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Lesser Health"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Minor Protection"], 70, L["Trainer"])
	ARL:addTradeSkill(BTS["Greater Magic Wand"], 70, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Minor Agility"], 80, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Minor Striking"], 90, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant 2H Weapon - Minor Impact"], 100, L["Trainer"])
	ARL:addTradeSkill(BTS["Runed Silver Rod"], 100, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Shield - Minor Stamina"], 105, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Lesser Protection"], 115, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Health"], 120, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Lesser Fire Resistance"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Boots - Minor Stamina"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Lesser Stamina"], 130, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Shield - Lesser Spirit"], 130, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Lesser Striking"], 140, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Lesser Absorption"], 140, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant 2H Weapon - Lesser Impact"], 145, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Mana"], 145, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Minor Stats"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Runed Golden Rod"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Lesser Mystic Wand"], 155, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Lesser Intellect"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Shield - Lesser Stamina"], 155, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Defense"], 155, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Boots - Lesser Agility"], 160, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Greater Health"], 160, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Spirit"], 165, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Boots - Lesser Stamina"], 170, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Stamina"], 170, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Fire Resistance"], 175, L["Trainer"])
	ARL:addTradeSkill(BTS["Greater Mystic Wand"], 175, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Shield - Spirit"], 180, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Strength"], 180, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Greater Mana"], 185, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Striking"], 195, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant 2H Weapon - Impact"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Lesser Stats"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Runed Truesilver Rod"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Greater Defense"], 205, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Resistance"], 205, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Intellect"], 210, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Gloves - Agility"], 210, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Boots - Stamina"], 215, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Superior Health"], 220, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Gloves - Strength"], 225, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Boots - Minor Speed"], 225, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Shield - Greater Spirit"], 230, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Superior Mana"], 230, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Boots - Agility"], 235, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant 2H Weapon - Greater Impact"], 240, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Greater Strength"], 240, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Stats"], 245, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Greater Striking"], 245, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Gloves - Minor Haste"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchanted Leather"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchanted Thorium"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Greater Intellect"], 255, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Greater Resistance"], 265, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Gloves - Greater Agility"], 270, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Shield - Superior Spirit"], 280, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Major Mana"], 290, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Gloves - Greater Strength"], 295, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Boots - Greater Agility"], 295, L["Trainer"])
	ARL:addTradeSkill(BTS["Runed Fel Iron Rod"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Restore Mana Prime"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Assault"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Gloves - Blasting"], 305, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Brawn"], 305, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Major Intellect"], 305, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Gloves - Assault"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Shield - Tough Shield"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Greater Agility"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Major Armor"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Stats"], 315, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Exceptional Health"], 315, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Shield - Resilience"], 330, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Chest - Major Spirit"], 320, L["Trainer"])
	ARL:addTradeSkill(BTS["Prismatic Sphere"], 325, L["Trainer"])
	ARL:addTradeSkill(BTS["Enchant Gloves - Major Strength"], 340, L["Trainer"])
	ARL:addTradeSkill(BTS["Void Sphere"], 350, L["Trainer"])
	ARL:addTradeSkill(BTS["Nexus Transformation"], 350, L["Trainer"])
	ARL:addTradeSkill(BTS["Small Prismatic Shard"], 350, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkill(BTS["Enchant Chest - Minor Mana"], 20, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchant Chest - Lesser Mana"], 80, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchant 2H Weapon - Lesser Intellect"], 100, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Minor Agility"], 110, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchant Boots - Minor Agility"], 125, L["Vendor"]) 
	ARL:addTradeSkill(BTS["Enchant Bracer - Lesser Strength"], 140, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Superior Defense"], 285, L["Vendor"])
	ARL:addTradeSkill(BTS["Minor Mana Oil"], 150, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Lesser Deflection"], 170, L["Vendor"])
	ARL:addTradeSkill(BTS["Lesser Wizard Oil"], 200, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Deflection"], 235, L["Vendor"])
	ARL:addTradeSkill(BTS["Lesser Mana Oil"], 250, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchant Shield - Greater Stamina"], 265, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchant Chest - Major Health"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Wizard Oil"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Runed Arcanite Rod"], 290, L["Vendor"])
	ARL:addTradeSkill(BTS["Superior Mana Oil"], 310, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchant Shield - Intellect"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchant Shield - Major Stamina"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Large Prismatic Shard"], 335, L["Vendor"])
	ARL:addTradeSkill(BTS["Superior Wizard Oil"], 340, L["Vendor"])
	ARL:addTradeSkill(BTS["Runed Adamantite Rod"], 350, L["Vendor"])
	ARL:addTradeSkill(BTS["Runed Eternium Rod"], 375, L["Vendor"])

	-- World Drops
	ARL:addTradeSkill(BTS["Enchant Bracer - Minor Spirit"], 60, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Minor Strength"], 80, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Minor Beastslayer"], 90, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant 2H Weapon - Lesser Spirit"], 110, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Shield - Lesser Protection"], 115, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Lesser Spirit"], 120, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Lesser Shadow Resistance"], 135, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Lesser Beastslayer"], 175, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Lesser Elemental Slayer"], 175, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Boots - Lesser Spirit"], 190, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Shield - Lesser Block"], 195, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Shield - Stamina"], 210, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Greater Spirit"], 220, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Demonslaying"], 230, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Shield - Frost Resistance"], 235, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Greater Stamina"], 245, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Gloves - Riding Skill"], 250, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Boots - Greater Stamina"], 255, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Superior Spirit"], 270, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Boots - Spirit"], 275, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Superior Stamina"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Chest - Greater Stats"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Boots - Vitality"], 305, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Major Resistance"], 330, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Restore Mana Prime"], 335, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Shield - Shield Block"], 340, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Chest - Major Resilience"], 345, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Potency"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Shield - Resistance"], 360, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Spellsurge"], 360, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Battlemaster"], 360, L["UWD"])
	ARL:addTradeSkill(BTS["Enchant Boots - Cat's Swiftness"], 360, L["RWD"])
	ARL:addTradeSkill(BTS["Enchant Boots - Boar's Speed"], 360, L["RWD"])

	-- Specific Drops
	ARL:addTradeSkill(BTS["Enchant Gloves - Mining"], 145, L["Enchant Gloves - Mining Obt"])
	ARL:addTradeSkill(BTS["Enchant Gloves - Herbalism"], 145, L["Enchant Gloves - Herbalism Obt"])
	ARL:addTradeSkill(BTS["Enchant Gloves - Fishing"], 145, L["Enchant Gloves - Fishing Obt"])
	ARL:addTradeSkill(BTS["Enchant Gloves - Skinning"], 200, L["Enchant Gloves - Skinning Obt"])
	ARL:addTradeSkill(BTS["Enchant Gloves - Advanced Mining"], 215, L["Enchant Gloves - Advanced Mining Obt"])
	ARL:addTradeSkill(BTS["Enchant Gloves - Advanced Herbalism"], 225, L["Enchant Gloves - Advanced Herbalism Obt"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Lesser Agility"], 225, L["Enchant Cloak - Lesser Agility Obt"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Fiery Weapon"], 265, L["Enchant Weapon - Fiery Weapon Obt"])
	ARL:addTradeSkill(BTS["Smoking Heart of the Mountain"], 265, L["Smoking Heart of the Mountain Obt"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Icy Chill"], 285, L["Enchant Weapon - Icy Chill Obt"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Superior Strength"], 295, L["Enchant Bracer - Superior Strength Obt"])
	ARL:addTradeSkill(BTS["Enchant 2H Weapon - Superior Impact"], 295, L["Enchant 2H Weapon - Superior Impact Obt"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Unholy Weapon"], 295, L["Enchant Weapon - Unholy Weapon Obt"])
	ARL:addTradeSkill(BTS["Enchant 2H Weapon - Major Intellect"], 300, L["Enchant 2H Weapon - Major Intellect Obt"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Superior Striking"], 300, L["Enchant Weapon - Superior Striking Obt"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Crusader"], 300, L["Enchant Weapon - Crusader Obt"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Lifestealing"], 300, L["Enchant Weapon - Lifestealing Obt"])
	ARL:addTradeSkill(BTS["Enchant 2H Weapon - Major Spirit"], 300, L["Enchant 2H Weapon - Major Spirit Obt"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Major Defense"], 320, L["Enchant Bracer - Major Defense Obt"])
	ARL:addTradeSkill(BTS["Enchant Boots - Fortitude"], 320, L["Enchant Boots - Fortitude Obt"])
	ARL:addTradeSkill(BTS["Enchant Boots - Dexterity"], 340, L["Enchant Boots - Dexterity Obt"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Major Intellect"], 340, L["Enchant Weapon - Major Intellect Obt"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Fortitude"], 350, L["Enchant Bracer - Fortitude Obt"])
	ARL:addTradeSkill(BTS["Enchant 2H Weapon - Savagery"], 350, L["Enchant 2H Weapon - Savagery Obt"])
	ARL:addTradeSkill(BTS["Enchant Weapon - Major Spellpower"], 350, L["Enchant Weapon - Major Spellpower Obt"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Greater Arcane Resistance"], 350, L["Enchant Cloak - Greater Arcane Resistance Obt"])
	ARL:addTradeSkill(BTS["Enchant Cloak - Greater Shadow Resistance"], 350, L["Enchant Cloak - Greater Shadow Resistance Obt"])
	ARL:addTradeSkill(BTS["Enchant Bracer - Spellpower"], 360, L["Enchant Bracer - Spellpower Obt"])
	ARL:addTradeSkill(BTS["Enchant 2H Weapon - Major Agility"], 360, L["Enchant 2H Weapon - Major Agility Obt"])

	-- Seasonal
	ARL:addTradeSkill(BTS["Enchant Weapon - Winter's Might"], 190, L["WintersVeil"], {L["Seasonal"]})

	-- Reputations
	ARL:addTradeSkill(BTS["Enchant Weapon - Strength"], 290, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Enchant Weapon - Agility"], 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill(BTS["Enchant Bracer - Mana Regeneration"], 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkill(BTS["Enchant 2H Weapon - Agility"], 290, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill(BTS["Enchant Bracer - Healing Power"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkill(BTS["Enchant Weapon - Mighty Spirit"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Enchant Weapon - Mighty Intellect"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Enchant Cloak - Greater Fire Resistance"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Enchant Cloak - Greater Nature Resistance"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Brilliant Wizard Oil"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Brilliant Mana Oil"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Enchant Gloves - Superior Agility"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill(BTS["Enchant Gloves - Threat"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill(BTS["Enchant Cloak - Stealth"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Enchant Cloak - Subtlety"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Enchant Cloak - Dodge"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkill(BTS["Enchant Bracer - Superior Healing"], 325, ARL:ARL_AddReputation2(BFAC["Friendly"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Enchant Cloak - Spell Penetration"], 325, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Enchant Weapon - Major Striking"], 340, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Enchant Chest - Exceptional Stats"], 345, ARL:ARL_AddReputation2(BFAC["Revered"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Enchant Gloves - Major Healing"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill(BTS["Enchant Weapon - Greater Agility"], 350, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Violet Eye"]), {BFAC["The Violet Eye"], L["Raid"]})
	ARL:addTradeSkill(BTS["Enchant Weapon - Major Healing"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill(BTS["Enchant Ring - Striking"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"], L["Raid"]})
	ARL:addTradeSkill(BTS["Enchant Ring - Spellpower"], 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill(BTS["Enchant Gloves - Spell Strike"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Enchant Gloves - Major Spellpower"], 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill(BTS["Enchant Ring - Healing Power"], 370, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill(BTS["Enchant Ring - Stats"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Lower City"]), {BFAC["Lower City"]})

	-- Raid Drops
	ARL:addTradeSkill(BTS["Enchant Weapon - Spell Power"], 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Enchant Weapon - Healing Power"], 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Enchant Gloves - Shadow Power"], 300, L["AQ20/AQ40"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Enchant Gloves - Frost Power"], 300, L["AQ20/AQ40"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Enchant Gloves - Fire Power"], 300, L["AQ20/AQ40"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Enchant Gloves - Healing Power"], 300, L["AQ20/AQ40"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Enchant Boots - Surefooted"], 370, L["Enchant Boots - Surefooted Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Enchant Weapon - Sunfire"], 375, L["Enchant Weapon - Sunfire Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Enchant Weapon - Soulfrost"], 375, L["Enchant Weapon - Soulfrost Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Enchant Weapon - Mongoose"], 375, L["Enchant Weapon - Mongoose Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Enchant Weapon - Executioner"], 375, L["ZA"], {L["Raid"]})

	--ARL:addTradeSkill(BTS[""], 375, "", {""}) 15 def to chest
	--ARL:addTradeSkill(BTS[""], 375, "", {""}) shatter void

end
