--[[

ARL-Engineering.lua

Engineering data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BTS		= AceLibrary("Babble-Tradeskill-2.2")
local BFAC		= AceLibrary("Babble-Faction-2.2")
local BCLASS	= AceLibrary("Babble-Class-2.2")

-- Initializes the array adding all Engineering recipes.  As of 2.2 there are 220 recipes.

function ARL:ARL_InitEngineering()

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkill(BTS["Rough Blasting Powder"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Rough Dynamite"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Crafted Light Shot"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Handful of Copper Bolts"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Rough Copper Bomb"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Copper Tube"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Rough Boomstick"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Arclight Spanner"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Crude Scope"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Copper Modulator"], 65, L["Trainer"])
	ARL:addTradeSkill(BTS["Coarse Blasting Powder"], 75, L["Trainer"])
	ARL:addTradeSkill(BTS["Crafted Heavy Shot"], 75, L["Trainer"])
	ARL:addTradeSkill(BTS["Coarse Dynamite"], 75, L["Trainer"])
	ARL:addTradeSkill(BTS["Target Dummy"], 85, L["Trainer"])
	ARL:addTradeSkill(BTS["Silver Contact"], 90, L["Trainer"])
	ARL:addTradeSkill(BTS["Flying Tiger Goggles"], 100, L["Trainer"])
	ARL:addTradeSkill(BTS["Practice Lock"], 100, L["Trainer"])
	ARL:addTradeSkill(BTS["Deadly Blunderbuss"], 105, L["Trainer"])
	ARL:addTradeSkill(BTS["Large Copper Bomb"], 105, L["Trainer"])
	ARL:addTradeSkill(BTS["Bronze Tube"], 105, L["Trainer"])
	ARL:addTradeSkill(BTS["Standard Scope"], 110, L["Trainer"])
	ARL:addTradeSkill(BTS["Small Bronze Bomb"], 120, L["Trainer"])
	ARL:addTradeSkill(BTS["Whirring Bronze Gizmo"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Blasting Powder"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Dynamite"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Crafted Solid Shot"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Silver-plated Shotgun"], 130, L["Trainer"])
	ARL:addTradeSkill(BTS["Ornate Spyglass"], 135, L["Trainer"])
	ARL:addTradeSkill(BTS["Big Bronze Bomb"], 140, L["Trainer"])
	ARL:addTradeSkill(BTS["Bronze Framework"], 140, L["Trainer"])
	ARL:addTradeSkill(BTS["Explosive Sheep"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Green Tinted Goggles"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Aquadynamic Fish Attractor"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Gold Power Core"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Iron Strut"], 160, L["Trainer"])
	ARL:addTradeSkill(BTS["Gyrochronatom"], 170, L["Trainer"])
	ARL:addTradeSkill(BTS["Iron Grenade"], 175, L["Trainer"])
	ARL:addTradeSkill(BTS["Compact Harvest Reaper Kit"], 175, L["Trainer"])
	ARL:addTradeSkill(BTS["Solid Blasting Powder"], 175, L["Trainer"])
	ARL:addTradeSkill(BTS["Solid Dynamite"], 175, L["Trainer"])
	ARL:addTradeSkill(BTS["Gyromatic Micro-Adjustor"], 175, L["Trainer"])
	ARL:addTradeSkill(BTS["Advanced Target Dummy"], 185, L["Trainer"])
	ARL:addTradeSkill(BTS["Mithril Tube"], 195, L["Trainer"])
	ARL:addTradeSkill(BTS["Unstable Trigger"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Mechanical Repair Kit"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Fire Goggles"], 205, L["Trainer"])
	ARL:addTradeSkill(BTS["Mithril Blunderbuss"], 205, L["Trainer"])
	ARL:addTradeSkill(BTS["Hi-Impact Mithril Slugs"], 210, L["Trainer"])
	ARL:addTradeSkill(BTS["Mithril Casing"], 215, L["Trainer"])
	ARL:addTradeSkill(BTS["Mithril Frag Bomb"], 215, L["Trainer"])
	ARL:addTradeSkill(BTS["Goblin Rocket Boots"], 225, L["Trainer"])
	ARL:addTradeSkill(BTS["Rose Colored Goggles"], 230, L["Trainer"])
	ARL:addTradeSkill(BTS["Hi-Explosive Bomb"], 235, L["Trainer"])
	ARL:addTradeSkill(BTS["Mithril Gyro-Shot"], 245, L["Trainer"])
	ARL:addTradeSkill(BTS["Green Lens"], 245, L["Trainer"])
	ARL:addTradeSkill(BTS["Salt Shaker"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Dense Blasting Powder"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Dense Dynamite"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Tranquil Mechanical Yeti"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Bomb"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Casing"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Elemental Blasting Powder"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Handful of Fel Iron Bolts"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Shells"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Musket"], 320, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Toolbox"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Adamantite Frame"], 325, L["Trainer"])
	ARL:addTradeSkill(BTS["Adamantite Grenade"], 325, L["Trainer"])
	ARL:addTradeSkill(BTS["Khorium Power Core"], 350, L["Trainer"])
	ARL:addTradeSkill(BTS["Felsteel Stabilizer"], 350, L["Trainer"])
	ARL:addTradeSkill(BTS["Hardened Adamantite Tube"], 350, L["Trainer"])
	ARL:addTradeSkill(BTS["Flying Machine"], 350, L["Trainer"])
	ARL:addTradeSkill(BTS["Frost Grenades"], 335, L["Trainer"])
	ARL:addTradeSkill(BTS["Icy Blasting Primers"], 335, L["Trainer"])
	ARL:addTradeSkill(BTS["Destruction Holo-gogs"], 350, L["Trainer"], {BCLASS["Warlock"], BCLASS["Priest"], BCLASS["Mage"]})
	ARL:addTradeSkill(BTS["Powerheal 4000 Lens"], 350, L["Trainer"], {BCLASS["Priest"]})
	ARL:addTradeSkill(BTS["Deathblow X11 Goggles"], 350, L["Trainer"], {BCLASS["Rogue"], BCLASS["Druid"]})
	ARL:addTradeSkill(BTS["Wonderheal XT40 Shades"], 350, L["Trainer"], {BCLASS["Druid"]})
	ARL:addTradeSkill(BTS["Magnified Moon Specs"], 350, L["Trainer"], {BCLASS["Druid"]})
	ARL:addTradeSkill(BTS["Gadgetstorm Goggles"], 350, L["Trainer"], {BCLASS["Shaman"]})
	ARL:addTradeSkill(BTS["Living Replicator Specs"], 350, L["Trainer"], {BCLASS["Shaman"]})
	ARL:addTradeSkill(BTS["Surestrike Goggles v2.0"], 350, L["Trainer"], {BCLASS["Shaman"], BCLASS["Hunter"]})
	ARL:addTradeSkill(BTS["Justicebringer 2000 Specs"], 350, L["Trainer"], {BCLASS["Paladin"]})
	ARL:addTradeSkill(BTS["Furious Gizmatic Goggles"], 350, L["Trainer"], {BCLASS["Paladin"], BCLASS["Warrior"]})
	ARL:addTradeSkill(BTS["Tankatronic Goggles"], 350, L["Trainer"], {BCLASS["Paladin"], BCLASS["Warrior"]})
	ARL:addTradeSkill(BTS["Gyro-balanced Khorium Destroyer"], 375, L["Trainer"])
	ARL:addTradeSkill(BTS["Turbo-Charged Flying Machine"], 375, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkill(BTS["Lovingly Crafted Boomstick"], 120, L["Vendor"])
	ARL:addTradeSkill(BTS["Minor Recombobulator"], 140, L["Vendor"])
	ARL:addTradeSkill(BTS["Red Firework"], 150, L["Vendor"])
	ARL:addTradeSkill(BTS["Green Firework"], 150, L["Vendor"])
	ARL:addTradeSkill(BTS["Blue Firework"], 150, L["Vendor"])
	ARL:addTradeSkill(BTS["Ice Deflector"], 155, L["Vendor"])
	ARL:addTradeSkill(BTS["Goblin Jumper Cables"], 165, L["Vendor"])
	ARL:addTradeSkill(BTS["Gnomish Universal Remote"], 125, L["Vendor"])
	ARL:addTradeSkill(BTS["Accurate Scope"], 180, L["Vendor"])
	ARL:addTradeSkill(BTS["Big Iron Bomb"], 190, L["Trainer"])
	ARL:addTradeSkill(BTS["Mechanical Dragonling"], 200, L["Vendor"])
	ARL:addTradeSkill(BTS["Gnomish Cloaking Device"], 200, L["Vendor"])
	ARL:addTradeSkill(BTS["Deadly Scope"], 210, L["Vendor"])
	ARL:addTradeSkill(BTS["EZ-Thro Dynamite II"], 200, L["Vendor"])
	ARL:addTradeSkill(BTS["Deepdive Helmet"], 230, L["Vendor"])
	ARL:addTradeSkill(BTS["Mithril Mechanical Dragonling"], 250, L["Vendor"])
	ARL:addTradeSkill(BTS["Snake Burst Firework"], 250, L["Vendor"])
	ARL:addTradeSkill(BTS["Thorium Grenade"], 260, L["Vendor"])
	ARL:addTradeSkill(BTS["Thorium Widget"], 260, L["Vendor"])
	ARL:addTradeSkill(BTS["Truesilver Transformer"], 260, L["Vendor"])
	ARL:addTradeSkill(BTS["Gyrofreeze Ice Reflector"], 260, L["Vendor"])
	ARL:addTradeSkill(BTS["Masterwork Target Dummy"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Thorium Tube"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Powerful Seaforium Charge"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Fused Wiring"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Delicate Arcanite Converter"], 285, L["Vendor"])
	ARL:addTradeSkill(BTS["Adamantite Scope"], 335, L["Vendor"])
	ARL:addTradeSkill(BTS["White Smoke Flare"], 335, L["Vendor"])
	ARL:addTradeSkill(BTS["Adamantite Shell Machine"], 335, L["Vendor"])
	ARL:addTradeSkill(BTS["Cogspinner Goggles"], 340, L["Vendor"])
	ARL:addTradeSkill(BTS["Adamantite Rifle"], 350, L["Vendor"])
	ARL:addTradeSkill(BTS["Ultra-Spectropic Detection Goggles"], 350, L["Vendor"])

	-- World Drops
	ARL:addTradeSkill(BTS["Mechanical Squirrel"], 75, L["UWD"])
	ARL:addTradeSkill(BTS["Small Seaforium Charge"], 100, L["UWD"])
	ARL:addTradeSkill(BTS["EZ-Thro Dynamite"], 100, L["UWD"])
	ARL:addTradeSkill(BTS["Shadow Goggles"], 120, L["UWD"])
	ARL:addTradeSkill(BTS["Moonsight Rifle"], 145, L["UWD"])
	ARL:addTradeSkill(BTS["Portable Bronze Mortar"], 165, L["UWD"])
	ARL:addTradeSkill(BTS["Bright-Eye Goggles"], 175, L["UWD"])
	ARL:addTradeSkill(BTS["Craftsman's Monocle"], 185, L["UWD"])
	ARL:addTradeSkill(BTS["Goblin Land Mine"], 195, L["UWD"])
	ARL:addTradeSkill(BTS["Large Seaforium Charge"], 200, L["UWD"])
	ARL:addTradeSkill(BTS["Catseye Ultra Goggles"], 220, L["UWD"])
	ARL:addTradeSkill(BTS["Mithril Heavy-bore Rifle"], 220, L["UWD"])
	ARL:addTradeSkill(BTS["Spellpower Goggles Xtreme"], 225, L["UWD"])
	ARL:addTradeSkill(BTS["Parachute Cloak"], 225, L["UWD"])
	ARL:addTradeSkill(BTS["Sniper Scope"], 240, L["UWD"])
	ARL:addTradeSkill(BTS["Thorium Rifle"], 260, L["UWD"])
	ARL:addTradeSkill(BTS["Lifelike Mechanical Toad"], 265, L["UWD"])
	ARL:addTradeSkill(BTS["Thorium Shells"], 285, L["UWD"])
	ARL:addTradeSkill(BTS["Arcane Bomb"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Crashin' Thrashin' Robot"], 325, L["UWD"])
	ARL:addTradeSkill(BTS["Healing Potion Injector"], 330, L["UWD"])
	ARL:addTradeSkill(BTS["Purple Smoke Flare"], 335, L["UWD"])
	ARL:addTradeSkill(BTS["Power Amplification Goggles"], 340, L["UWD"])
	ARL:addTradeSkill(BTS["Mana Potion Injector"], 345, L["UWD"])
	ARL:addTradeSkill(BTS["Ornate Khorium Rifle"], 375, L["RWD"])

	-- Specific Drops
	ARL:addTradeSkill(BTS["Flame Deflector"], 125, L["Flame Detector Obt"])
	ARL:addTradeSkill(BTS["Discombobulator Ray"], 160, L["Discombobulator Ray Obt"])
	ARL:addTradeSkill(BTS["Flash Bomb"], 185, L["Flash Bomb Obt"])
	ARL:addTradeSkill(BTS["Spellpower Goggles Xtreme Plus"], 270, L["Spellpower Goggles Xtreme Plus Obt"])
	ARL:addTradeSkill(BTS["Dark Iron Rifle"], 275, L["Dark Iron Rifle Obt"])
	ARL:addTradeSkill(BTS["Major Recombobulator"], 275, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Steam Tonk Controller"], 275, L["Steam Tonk Controller Obt"])
	ARL:addTradeSkill(BTS["Dark Iron Bomb"], 285, L["Dark Iron Bomb Obt"])
	ARL:addTradeSkill(BTS["Voice Amplification Modulator"], 290, L["Voice Amplification Modulator Obt"])
	ARL:addTradeSkill(BTS["Master Engineer's Goggles"], 290, L["Master Engineer's Goggles Obt"])
	ARL:addTradeSkill(BTS["Hyper-Radiant Flame Reflector"], 290, L["Hyper-Radiant Flame Reflector Pbt"])
	ARL:addTradeSkill(BTS["Arcanite Dragonling"], 300, L["Arcanite Dragonling Obt"])
	ARL:addTradeSkill(BTS["Flawless Arcanite Rifle"], 300, L["Flawless Arcanite Rifle Obt"])
	ARL:addTradeSkill(BTS["Field Repair Bot 74A"], 300, L["Field Repair Bot 74A Obt"])
	ARL:addTradeSkill(BTS["Ultra-Flash Shadow Reflector"], 300, L["Ultra-Flash Shadow Reflector Obt"])
	ARL:addTradeSkill(BTS["Zapthrottle Mote Extractor"], 305, L["Zapthrottle Mote Extractor Obt"])
	ARL:addTradeSkill(BTS["Adamantite Arrow Maker"], 335, L["Adamantite Arrow Maker Obt"])
	--ARL:addTradeSkill(BTS["Rocket Boots Xtreme Lite"], 355, L["Rocket Boots Xtreme Lite Obt"]) 2.4
	ARL:addTradeSkill(BTS["Rocket Boots Xtreme"], 355, L["Rocket Boots Xtreme Obt"])
	ARL:addTradeSkill(BTS["Felsteel Boomstick"], 360, L["Felsteel Boomstick Obt"])
	ARL:addTradeSkill(BTS["Hyper-Vision Goggles"], 360, L["Hyper-Vision Goggles Obt"])
	ARL:addTradeSkill(BTS["Khorium Scope"], 360, L["Khorium Scope Obt"])
	ARL:addTradeSkill(BTS["Field Repair Bot 110G"], 360, L["Field Repair Bot 110G Obt"])

	-- Seasonal
	ARL:addTradeSkill(BTS["Small Blue Rocket"], 125, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Small Green Rocket"], 125, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Small Red Rocket"], 125, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Large Blue Rocket"], 175, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Large Green Rocket"], 175, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Large Red Rocket"], 175, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["SnowMaster 9000"], 190, L["WintersVeil"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Blue Rocket Cluster"], 225, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Green Rocket Cluster"], 225, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Red Rocket Cluster"], 225, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Firework Launcher"], 225, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Large Blue Rocket Cluster"], 275, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Large Green Rocket Cluster"], 275, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Large Red Rocket Cluster"], 275, L["Lunar Festival"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Firework Cluster Launcher"], 275, L["Lunar Festival"], {L["Seasonal"]})

	-- Reputations
	ARL:addTradeSkill(BTS["Bloodvine Goggles"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Bloodvine Lens"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})

	ARL:addTradeSkill(BTS["Elemental Seaforium Charge"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})

	ARL:addTradeSkill(BTS["Green Smoke Flare"], 335, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})

	-- Raid
	ARL:addTradeSkill(BTS["Biznicks 247x128 Accurascope"], 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Core Marksman Rifle"], 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Force Reactive Disk"], 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Stabilized Eternium Scope"], 375, L["Stabilized Eternium Scope Obt"], {L["Raid"]})

	-- Gnomish Engineering
	ARL:addTradeSkill(BTS["Lil' Smoky"], 205, L["ENG_MEMBERSHIP_BENEFITS"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Gnomish Shrink Ray"], 205, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Gnomish Goggles"], 210, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Gnomish Net-o-Matic Projector"], 210, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Gnomish Harm Prevention Belt"], 215, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Gnomish Rocket Boots"], 225, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Gnomish Battle Chicken"], 230, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Gnomish Mind Control Cap"], 235, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Gnomish Death Ray"], 240, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["World Enlarger"], 260, L["World Enlarger Obt"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Ultrasafe Transporter - Gadgetzan"], 260, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Alarm-O-Bot"], 265, L["Alarm-O-Bot Obt"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Inlaid Mithril Cylinder Plans"], 200, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Gnomish Flame Turret"], 325, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Gnomish Poultryizer"], 340, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Nigh-Invulnerability Belt"], 350, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Ultrasafe Transporter - Toshley's Station"], 350, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Gnomish Battle Goggles"], 375, L["Trainer"], {BTS["Gnomish Engineering"]})
	ARL:addTradeSkill(BTS["Gnomish Power Goggles"], 375, L["Trainer"], {BTS["Gnomish Engineering"]})

	-- Goblin Engineering
	ARL:addTradeSkill(BTS["Goblin Construction Helmet"], 205, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Goblin Mining Helmet"], 205, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Pet Bombling"], 205, L["ENG_MEMBERSHIP_BENEFITS"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Goblin Mortar"], 205, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["The Mortar: Reloaded"], 205, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Goblin Sapper Charge"], 205, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Goblin Rocket Boots"], 225, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Goblin Bomb Dispenser"], 230, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["The Big One"], 235,  L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Goblin Rocket Helmet"], 245, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Dimensional Ripper - Everlook"], 260,  L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Goblin Jumper Cables XL"], 265, L["Goblin Jumper Cables XL Obt"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Goblin Rocket Fuel Recipe"], 205, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Goblin Dragon Gun"], 240, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["The Bigger One"], 325, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Super Sapper Charge"], 340, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Goblin Rocket Launcher"], 350, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Dimensional Ripper - Area 52"], 350, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Foreman's Enchanted Helmet"], 375, L["Trainer"], {BTS["Goblin Engineering"]})
	ARL:addTradeSkill(BTS["Foreman's Reinforced Helmet"], 375, L["Trainer"], {BTS["Goblin Engineering"]})

end