--[[

ARL-FirstAId.lua

First Aid data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BTS		= AceLibrary("Babble-Tradeskill-2.2")
local BFAC		= AceLibrary("Babble-Faction-2.2")

-- Initializes the array adding all First Aid recipes.  As of 2.2 there are 15 recipes.

function ARL:ARL_InitFirstAid()
  
	ARL:ARL_InitializeRecipeArray()
 
	-- Trainer Recipes
	ARL:addTradeSkill(BTS["Linen Bandage"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Linen Bandage"], 40, L["Trainer"])
	ARL:addTradeSkill(BTS["Wool Bandage"], 80, L["Trainer"])
	ARL:addTradeSkill(BTS["Anti-Venom"], 80, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Wool Bandage"], 115, L["Trainer"])
	ARL:addTradeSkill(BTS["Silk Bandage"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Mageweave Bandage"], 240, L["Trainer"])
	ARL:addTradeSkill(BTS["Runecloth Bandage"], 260, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Runecloth Bandage"], 290, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkill(BTS["Heavy Silk Bandage"], 180, L["Vendor"])
	ARL:addTradeSkill(BTS["Mageweave Bandage"], 210, L["Vendor"])
	ARL:addTradeSkill(BTS["Netherweave Bandage"], 330, L["Vendor"])
	ARL:addTradeSkill(BTS["Heavy Netherweave Bandage"], 360, L["Vendor"])

	-- World Drops
	ARL:addTradeSkill(BTS["Strong Anti-Venom"], 130, L["UWD"])

	-- Reputations
	ARL:addTradeSkill(BTS["Powerful Anti-Venom"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})

end
