--[[

ARL-Jewelcraft.lua

Jewelcrafting data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BTS		= AceLibrary("Babble-Tradeskill-2.2")
local BFAC		= AceLibrary("Babble-Faction-2.2")
local BCLASS	= AceLibrary("Babble-Class-2.2")

-- Initializes the array adding all Jewelcrafting recipes.  As of 2.2 there are 229 recipes.

function ARL:ARL_InitJewelcrafting()

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkill(BTS["Delicate Copper Wire"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Braided Copper Ring"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Woven Copper Ring"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Rough Stone Statue"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Copper Ring"], 5, L["Trainer"])
	ARL:addTradeSkill(BTS["Malachite Pendant"], 20, L["Trainer"])
	ARL:addTradeSkill(BTS["Tigerseye Band"], 20, L["Trainer"])
	ARL:addTradeSkill(BTS["Inlaid Malachite Ring"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Ornate Tigerseye Necklace"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Bronze Setting"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Elegant Silver Ring"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Solid Bronze Ring"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Thick Bronze Necklace"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Coarse Stone Statue"], 50, L["Trainer"])
	ARL:addTradeSkill(BTS["Simple Pearl Ring"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Bronze Band of Force"], 65, L["Trainer"])
	ARL:addTradeSkill(BTS["Gloom Band"], 70, L["Trainer"])
	ARL:addTradeSkill(BTS["Brilliant Necklace"], 75, L["Trainer"])
	ARL:addTradeSkill(BTS["Bronze Torc"], 80, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Silver Ring"], 90, L["Trainer"])
	ARL:addTradeSkill(BTS["Ring of Silver Might"], 100, L["Trainer"])
	ARL:addTradeSkill(BTS["Ring of Twilight Shadows"], 100, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Jade Ring"], 105, L["Trainer"])
	ARL:addTradeSkill(BTS["Barbaric Iron Collar"], 110, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Stone Statue"], 110, L["Trainer"])
	ARL:addTradeSkill(BTS["Moonsoul Crown"], 120, L["Trainer"])
	ARL:addTradeSkill(BTS["Golden Dragon Ring"], 135, L["Trainer"])
	ARL:addTradeSkill(BTS["Mithril Filigree"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Engraved Truesilver Ring"], 170, L["Trainer"])
	ARL:addTradeSkill(BTS["Solid Stone Statue"], 175, L["Trainer"])
	ARL:addTradeSkill(BTS["Citrine Ring of Rapid Healing"], 180, L["Trainer"])
	ARL:addTradeSkill(BTS["Golden Ring of Power"], 180, L["Trainer"])
	ARL:addTradeSkill(BTS["Figurine - Jade Owl"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Truesilver Commander's Ring"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Aquamarine Signet"], 210, L["Trainer"])
	ARL:addTradeSkill(BTS["Aquamarine Pendant of the Warrior"], 220, L["Trainer"])
	ARL:addTradeSkill(BTS["Thorium Setting"], 225, L["Trainer"])
	ARL:addTradeSkill(BTS["Dense Stone Statue"], 225, L["Trainer"])
	ARL:addTradeSkill(BTS["Red Ring of Destruction"], 230, L["Trainer"])
	ARL:addTradeSkill(BTS["Ruby Pendant of Fire"], 235, L["Trainer"])
	ARL:addTradeSkill(BTS["Truesilver Healing Ring"], 240, L["Trainer"])
	ARL:addTradeSkill(BTS["Simple Opal Ring"], 260, L["Trainer"])
	ARL:addTradeSkill(BTS["Diamond Focus Ring"], 275, L["Trainer"])
	ARL:addTradeSkill(BTS["Sapphire Signet"], 275, L["Trainer"])
	ARL:addTradeSkill(BTS["Onslaught Ring"], 280, L["Trainer"])
	ARL:addTradeSkill(BTS["Sapphire Pendant of Winter Night"], 280, L["Trainer"])
	ARL:addTradeSkill(BTS["Glowing Thorium Band"], 280, L["Trainer"])
	ARL:addTradeSkill(BTS["Living Emerald Pendant"], 290, L["Trainer"])
	ARL:addTradeSkill(BTS["Emerald Lion Ring"], 290, L["Trainer"])
	ARL:addTradeSkill(BTS["Band of Natural Fire"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Fel Iron Blood Ring"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Golden Draenite Ring"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Azure Moonstone Ring"], 320, L["Trainer"])
	ARL:addTradeSkill(BTS["Mercurial Adamantite"], 325, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Adamantite Ring"], 335, L["Trainer"])
	ARL:addTradeSkill(BTS["Thick Adamantite Necklace"], 335, L["Trainer"])
	ARL:addTradeSkill(BTS["Brilliant Pearl Band"], 325, L["Trainer"])
	ARL:addTradeSkill(BTS["Crown of the Sea Witch"], 365, L["Trainer"])
	ARL:addTradeSkill(BTS["Necklace of the Deep"], 340, L["Trainer"])
	ARL:addTradeSkill(BTS["Purified Jaggal Pearl"], 325, L["Trainer"])
	ARL:addTradeSkill(BTS["Purified Shadow Pearl"], 350, L["Trainer"])
	ARL:addTradeSkill(BTS["The Black Pearl"], 330, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkill(BTS["Amulet of the Moon"], 110, L["Vendor"])
	ARL:addTradeSkill(BTS["Pendant of the Agate Shield"], 120, L["Vendor"])
	ARL:addTradeSkill(BTS["Wicked Moonstone Ring"], 125, L["Vendor"])
	ARL:addTradeSkill(BTS["Heavy Iron Knuckles"], 125, L["Vendor"])
	ARL:addTradeSkill(BTS["Heavy Golden Necklace of Battle"], 150, L["Vendor"])
	ARL:addTradeSkill(BTS["Blazing Citrine Ring"], 150, L["Vendor"])
	ARL:addTradeSkill(BTS["The Jade Eye"], 170, L["Vendor"])
	ARL:addTradeSkill(BTS["Figurine - Black Pearl Panther"], 215, L["Vendor"])
	ARL:addTradeSkill(BTS["Ruby Crown of Restoration"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Figurine - Truesilver Crab"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Opal Necklace of Impact"], 250, L["Vendor"])
	ARL:addTradeSkill(BTS["Emerald Crown of Destruction"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Ring of Bitter Shadows"], 285, L["Vendor"])
	ARL:addTradeSkill(BTS["Teardrop Blood Garnet"], 300, L["Vendor"])
	ARL:addTradeSkill(BTS["Inscribed Flame Spessarite"], 300, L["Vendor"])
	ARL:addTradeSkill(BTS["Radiant Deep Peridot"], 300, L["Vendor"])
	ARL:addTradeSkill(BTS["Glowing Shadow Draenite"], 300, L["Vendor"])
	ARL:addTradeSkill(BTS["Brilliant Golden Draenite"], 300, L["Vendor"])
	ARL:addTradeSkill(BTS["Solid Azure Moonstone"], 300, L["Vendor"])
	ARL:addTradeSkill(BTS["Necklace of the Diamond Tower"], 305, L["Vendor"])
	ARL:addTradeSkill(BTS["Bold Blood Garnet"], 305, L["Vendor"])
	ARL:addTradeSkill(BTS["Jagged Deep Peridot"], 305, L["Vendor"])
	ARL:addTradeSkill(BTS["Sparkling Azure Moonstone"], 305, L["Vendor"])
	ARL:addTradeSkill(BTS["Bright Blood Garnet"], 305, L["Vendor"])
	ARL:addTradeSkill(BTS["Glinting Flame Spessarite"], 315, L["Vendor"])
	ARL:addTradeSkill(BTS["Sovereign Shadow Draenite"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Rigid Golden Draenite"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Smooth Golden Draenite"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Mystic Dawnstone"], 350, L["Vendor"], {L["PVP"]})
	ARL:addTradeSkill(BTS["Steady Talasite"], 350, L["Vendor"], {L["PVP"]})
	
	-- World Drops
	ARL:addTradeSkill(BTS["Citrine Pendant of Golden Healing"], 190, L["UWD"])
	ARL:addTradeSkill(BTS["Jade Pendant of Blasting"], 160, L["UWD"])
	ARL:addTradeSkill(BTS["Figurine - Golden Hare"], 200, L["UWD"])
	ARL:addTradeSkill(BTS["Figurine - Truesilver Boar"], 230, L["UWD"])
	ARL:addTradeSkill(BTS["The Aquamarine Ward"], 245, L["UWD"])
	ARL:addTradeSkill(BTS["Gem Studded Band"], 250, L["UWD"])
	ARL:addTradeSkill(BTS["Figurine - Ruby Serpent"], 260, L["UWD"])
	ARL:addTradeSkill(BTS["Figurine - Emerald Owl"], 285, L["UWD"])
	ARL:addTradeSkill(BTS["Stormy Azure Moonstone"], 315, L["UWD"])
	ARL:addTradeSkill(BTS["Heavy Felsteel Ring"], 345, L["UWD"])
	ARL:addTradeSkill(BTS["Bright Living Ruby"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Brilliant Dawnstone"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Dazzling Talasite"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Delicate Living Ruby"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Enduring Talasite"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Inscribed Noble Topaz"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Flashing Living Ruby"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Gleaming Dawnstone"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Glinting Noble Topaz"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Glowing Nightseye"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Jagged Talasite"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Luminous Noble Topaz"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Lustrous Star of Elune"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Potent Noble Topaz"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Radiant Talasite"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Rigid Dawnstone"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Royal Nightseye"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Runed Living Ruby"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Shifting Nightseye"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Smooth Dawnstone"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Sovereign Nightseye"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Solid Star of Elune"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Sparkling Star of Elune"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Stormy Star of Elune"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Subtle Living Ruby"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Teardrop Living Ruby"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Thick Dawnstone"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Bold Living Ruby"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Delicate Eternium Ring"], 355, L["RWD"])
	ARL:addTradeSkill(BTS["Thick Felsteel Necklace"], 355, L["UWD"])
	ARL:addTradeSkill(BTS["Living Ruby Pendant"], 355, L["EWD"])
	ARL:addTradeSkill(BTS["Braided Eternium Chain"], 360, L["UWD"])
	ARL:addTradeSkill(BTS["Eye of the Night"], 360,  L["RWD"])
	ARL:addTradeSkill(BTS["Blazing Eternium Band"], 365, L["UWD"])
	ARL:addTradeSkill(BTS["Embrace of the Dawn"], 365, L["UWD"])
	ARL:addTradeSkill(BTS["Chain of the Twilight Owl"], 365, L["RWD"])
	ARL:addTradeSkill(BTS["Brutal Earthstorm Diamond"], 365, L["RWD"])
	ARL:addTradeSkill(BTS["Tenacious Earthstorm Diamond"], 365, L["RWD"])
	ARL:addTradeSkill(BTS["Destructive Skyfire Diamond"], 365, L["RWD"])
	ARL:addTradeSkill(BTS["Mystical Skyfire Diamond"], 365, L["RWD"])
	ARL:addTradeSkill(BTS["Balanced Nightseye"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Great Dawnstone"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Infused Nightseye"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Thundering Skyfire Diamond"], 365, L["RWD"])
	ARL:addTradeSkill(BTS["Veiled Noble Topaz"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Wicked Noble Topaz"], 350, L["RWD"])

	-- Specific Drops
	ARL:addTradeSkill(BTS["Figurine - Black Diamond Crab"], 300, L["Figurine - Black Diamond Crab Obt"])
	ARL:addTradeSkill(BTS["Khorium Band of Shadows"], 350, L["Khorium Band of Shadows Obt"])
	ARL:addTradeSkill(BTS["Khorium Band of Frost"], 355, L["Khorium Band of Frost Obt"])
	ARL:addTradeSkill(BTS["Khorium Inferno Band"], 355, L["Khorium Inferno Band Obt"])
	ARL:addTradeSkill(BTS["Khorium Band of Leaves"], 360, L["Khorium Band of Leaves Obt"])
	ARL:addTradeSkill(BTS["Arcane Khorium Band"], 365, L["Arcane Khorium Band Obt"])
	ARL:addTradeSkill(BTS["Great Golden Draenite"], 325, L["Blades Edge Summon Bosses"])
	ARL:addTradeSkill(BTS["Infused Shadow Draenite"], 325, L["Blades Edge Summon Bosses"])
	ARL:addTradeSkill(BTS["Wicked Flame Spessarite"], 325, L["Blades Edge Summon Bosses"])
	ARL:addTradeSkill(BTS["Veiled Flame Spessarite"], 325, L["Blades Edge Summon Bosses"])
	ARL:addTradeSkill(BTS["Balanced Shadow Draenite"], 325, L["Blades Edge Summon Bosses"])
	ARL:addTradeSkill(BTS["Figurine - Dark Iron Scorpid"], 300, L["Dark Iron Scorpid Obt"])
	ARL:addTradeSkill(BTS["Coronet of the Verdant Flame"], 370, L["Coronet of the Verdant Flame Obt"])
	ARL:addTradeSkill(BTS["Circlet of Arcane Might"], 370, L["Circlet of Arcane Might Obt"])
	ARL:addTradeSkill(BTS["Chaotic Skyfire Diamond"], 365, L["Chaotic Skyfire Diamond Obt"])

	-- Reputations
	ARL:addTradeSkill(BTS["Kailee's Rose"], 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})	
	ARL:addTradeSkill(BTS["Blood of Amber"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill(BTS["Figurine - Talasite Owl"], 370, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill(BTS["Ring of Arcane Shielding"], 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill(BTS["Insightful Earthstorm Diamond"], 365, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})

	ARL:addTradeSkill(BTS["Enigmatic Skyfire Diamond"], 365, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill(BTS["Pendant of Frozen Flame"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill(BTS["Figurine - Living Ruby Serpent"], 370, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill(BTS["Stone of Blades"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill(BTS["Facet of Eternity"], 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})

	ARL:addTradeSkill(BTS["Falling Star"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkill(BTS["Figurine - Felsteel Boar"], 370, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkill(BTS["Pendant of Thawing"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkill(BTS["Potent Flame Spessarite"], 325, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Lower City"]), {BFAC["Lower City"]})

	ARL:addTradeSkill(BTS["Pendant of Withering"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Runed Blood Garnet"], 315, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Dazzling Deep Peridot"], 325, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	
	ARL:addTradeSkill(BTS["Pendant of Shadow's End"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Royal Shadow Draenite"], 305, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Gleaming Golden Draenite"], 305, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Aldor"]), {BFAC["The Aldor"]})

	ARL:addTradeSkill(BTS["Enduring Deep Peridot"], 315, ARL:ARL_AddReputation2(BFAC["Friendly"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Figurine - Dawnstone Crab"], 370, ARL:ARL_AddReputation2(BFAC["Revered"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
		
	ARL:addTradeSkill(BTS["The Frozen Eye"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Violet Eye"]), {BFAC["The Violet Eye"], L["Raid"]})
	
	ARL:addTradeSkill(BTS["Figurine - Nightseye Panther"], 370, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["The Natural Ward"], 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})

	ARL:addTradeSkill(BTS["Thick Golden Draenite"], 315, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Delicate Blood Garnet"], 325, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Shifting Shadow Draenite"], 325, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Lustrous Azure Moonstone"], 325, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Pendant of the Null Rune"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Bracing Earthstorm Diamond"], 365, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Powerful Earthstorm Diamond"], 365, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Swift Skyfire Diamond"], 365, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Crimson Sun"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Don Julio's Heart"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Luminous Flame Spessarite"], 305, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Relentless Earthstorm Diamond"], 365, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Consortium"]), {BFAC["The Consortium"]})

	ARL:addTradeSkill(BTS["Dazzling Seaspray Emerald"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Balanced Shadowsong Amethyst"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Delicate Crimson Spinel"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Bold Crimson Spinel"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Runed Crimson Spinel"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Bright Crimson Spinel"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Brilliant Lionseye"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})	
	ARL:addTradeSkill(BTS["Enduring Seaspray Emerald"], 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Rigid Lionseye"], 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Gleaming Lionseye"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Glinting Pyrestone"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Glowing Shadowsong Amethyst"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Infused Shadowsong Amethyst"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Jagged Seaspray Emerald"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})	
	ARL:addTradeSkill(BTS["Luminous Pyrestone"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Lustrous Empyrean Sapphire"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Potent Pyrestone"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Radiant Seaspray Emerald"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Royal Shadowsong Amethyst"], 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Smooth Lionseye"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Solid Empyrean Sapphire"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Sparkling Empyrean Sapphire"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Subtle Crimson Spinel"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Teardrop Crimson Spinel"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Thick Lionseye"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Wicked Pyrestone"], 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})

	-- Raid Drops
	ARL:addTradeSkill(BTS["Inscribed Pyrestone"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Mystic Lionseye"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Great Lionseye"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Sovereign Shadowsong Amethyst"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Stormy Empyrean Sapphire"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Flashing Crimson Spinel"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Veiled Pyrestone"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Shifting Shadowsong Amethyst"], 375, L["HYJALBoP"], {L["Raid"]})

	--ARL:addTradeSkill(BTS[""], 375, "", {""})
	--ARL:addTradeSkill(BTS[""], 375, "", {""})
	--ARL:addTradeSkill(BTS[""], 375, "", {""})
	--ARL:addTradeSkill(BTS[""], 375, "", {""})
	--ARL:addTradeSkill(BTS[""], 375, "", {""})

end