--[[

ARL-LeatherWork.lua

LeatherWorking data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BTS		= AceLibrary("Babble-Tradeskill-2.2")
local BFAC		= AceLibrary("Babble-Faction-2.2")
local BCLASS	= AceLibrary("Babble-Class-2.2")

-- Initializes the array adding all LeatherWorking recipes.  As of 2.2 there are 360 recipes.

function ARL:ARL_InitLeatherWorking()

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkill(BTS["Handstitched Leather Boots"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Light Armor Kit"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Light Leather"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Handstitched Leather Vest"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Handstitched Leather Cloak"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Handstitched Leather Bracers"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Handstitched Leather Pants"], 15, L["Trainer"])
	ARL:addTradeSkill(BTS["Handstitched Leather Belt"], 25, L["Trainer"])
	ARL:addTradeSkill(BTS["Light Leather Quiver"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Small Leather Ammo Pouch"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Cured Light Hide"], 35, L["Trainer"])
	ARL:addTradeSkill(BTS["Embossed Leather Vest"], 40, L["Trainer"])
	ARL:addTradeSkill(BTS["Embossed Leather Gloves"], 55, L["Trainer"])
	ARL:addTradeSkill(BTS["Embossed Leather Boots"], 55, L["Trainer"])
	ARL:addTradeSkill(BTS["Embossed Leather Cloak"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Embossed Leather Pants"], 75, L["Trainer"])
	ARL:addTradeSkill(BTS["Fine Leather Belt"], 80, L["Trainer"])
	ARL:addTradeSkill(BTS["Fine Leather Cloak"], 85, L["Trainer"])
	ARL:addTradeSkill(BTS["Fine Leather Tunic"], 85, L["Trainer"])
	ARL:addTradeSkill(BTS["Light Leather Bracers"], 70, L["Trainer"])
	ARL:addTradeSkill(BTS["Light Leather Pants"], 95, L["Trainer"])
	ARL:addTradeSkill(BTS["Cured Medium Hide"], 100, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkill(BTS["Murloc Scale Belt"], 90, L["Vendor"])
	ARL:addTradeSkill(BTS["Deviate Scale Cloak"], 90, L["Vendor"])

	-- World Drops
	ARL:addTradeSkill(BTS["Rugged Leather Pants"], 35, L["UWD"])
	ARL:addTradeSkill(BTS["White Leather Jerkin"], 60, L["UWD"])
	ARL:addTradeSkill(BTS["Fine Leather Gloves"], 75, L["UWD"])
	ARL:addTradeSkill(BTS["Fine Leather Boots"], 90, L["UWD"])
	ARL:addTradeSkill(BTS["Hillman's Leather Vest"], 100, L["UWD"])
	ARL:addTradeSkill(BTS["Dark Leather Tunic"], 100, L["UWD"])
	ARL:addTradeSkill(BTS["Fine Leather Pants"], 105, L["UWD"])
	ARL:addTradeSkill(BTS["Dark Leather Gloves"], 120, L["UWD"])
	ARL:addTradeSkill(BTS["Hillman's Belt"], 120, L["UWD"])

	ARL:addTradeSkill(BTS["Murloc Scale Breastplate"], 95, L["Vendor"])
	ARL:addTradeSkill(BTS["Black Whelp Cloak"], 100, L["Vendor"])
	ARL:addTradeSkill(BTS["Black Whelp Tunic"], 100, L["Vendor"])
	ARL:addTradeSkill(BTS["Medium Leather"], 100, L["Trainer"])
	ARL:addTradeSkill(BTS["Medium Armor Kit"], 100, L["Trainer"])
	ARL:addTradeSkill(BTS["Dark Leather Boots"], 100, L["Trainer"])
	ARL:addTradeSkill(BTS["Deviate Scale Gloves"], 105, L["Vendor"])
	ARL:addTradeSkill(BTS["Dark Leather Cloak"], 110, L["Trainer"])
	ARL:addTradeSkill(BTS["Dark Leather Pants"], 115, L["Trainer"])
	ARL:addTradeSkill(BTS["Red Whelp Gloves"], 120, L["Vendor"])
	ARL:addTradeSkill(BTS["Nimble Leather Gloves"], 120, L["Trainer"])
	ARL:addTradeSkill(BTS["Toughened Leather Armor"], 120, L["Trainer"])
	ARL:addTradeSkill(BTS["Dark Leather Belt"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Fletcher's Gloves"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Hillman's Shoulders"], 130, L["Trainer"])
	ARL:addTradeSkill(BTS["Toughened Leather Gloves"], 135, L["Trainer"])
	ARL:addTradeSkill(BTS["Herbalist's Gloves"], 135, L["Vendor"])
	ARL:addTradeSkill(BTS["Earthen Leather Shoulders"], 135, L["Vendor"])
	ARL:addTradeSkill(BTS["Dark Leather Shoulders"], 140, L["UWD"])
	ARL:addTradeSkill(BTS["Pilferer's Gloves"], 140, L["UWD"])
	ARL:addTradeSkill(BTS["Hillman's Leather Gloves"], 145, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Earthen Gloves"], 145, L["UWD"])
	ARL:addTradeSkill(BTS["Hillman's Cloak"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Barbaric Gloves"], 150, L["UWD"])
	ARL:addTradeSkill(BTS["Cured Heavy Hide"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Armor Kit"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Quiver"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Leather Ammo Pouch"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Leather"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Leather Ball"], 150, L["Vendor"])
	ARL:addTradeSkill(BTS["Green Leather Armor"], 155, L["Vendor"])
	ARL:addTradeSkill(BTS["Barbaric Bracers"], 155, L["Vendor"])
	ARL:addTradeSkill(BTS["Green Leather Belt"], 160, L["Trainer"])
	ARL:addTradeSkill(BTS["Guardian Pants"], 160, L["Trainer"])
	ARL:addTradeSkill(BTS["Raptor Hide Belt"], 165, L["Vendor"])
	ARL:addTradeSkill(BTS["Raptor Hide Harness"], 165, L["Vendor"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Dusky Leather Leggings"], 165, L["UWD"])
	ARL:addTradeSkill(BTS["Guardian Belt"], 170, L["RWD"])
	ARL:addTradeSkill(BTS["Thick Murloc Armor"], 170, L["Vendor"])
	ARL:addTradeSkill(BTS["Barbaric Leggings"], 170, L["Vendor"])
	ARL:addTradeSkill(BTS["Guardian Armor"], 175, L["UWD"])
	ARL:addTradeSkill(BTS["Barbaric Shoulders"], 175, L["Trainer"])
	ARL:addTradeSkill(BTS["Dusky Leather Armor"], 175, L["Trainer"])
	ARL:addTradeSkill(BTS["Green Whelp Armor"], 175, L["UWD"])
	ARL:addTradeSkill(BTS["Green Leather Bracers"], 180, L["Trainer"])
	ARL:addTradeSkill(BTS["Frost Leather Cloak"], 180, L["Trainer"])
	ARL:addTradeSkill(BTS["Gem-studded Leather Belt"], 185, L["Vendor"])
	ARL:addTradeSkill(BTS["Guardian Cloak"], 185, L["UWD"])
	ARL:addTradeSkill(BTS["Dusky Bracers"], 185, L["Trainer"])
	ARL:addTradeSkill(BTS["Barbaric Harness"], 190, L["Trainer"])
	ARL:addTradeSkill(BTS["Murloc Scale Bracers"], 190, L["Vendor"])
	ARL:addTradeSkill(BTS["Guardian Gloves"], 190, L["Trainer"])
	ARL:addTradeSkill(BTS["Green Whelp Bracers"], 190, L["Vendor"])
	ARL:addTradeSkill(BTS["Guardian Leather Bracers"], 195, L["UWD"])
	ARL:addTradeSkill(BTS["Dusky Belt"], 195, L["Trainer"])
	ARL:addTradeSkill(BTS["Barbaric Belt"], 200, L["RWD"])
	ARL:addTradeSkill(BTS["Dusky Boots"], 200, L["UWD"])
	ARL:addTradeSkill(BTS["Swift Boots"], 200, L["UWD"])
	ARL:addTradeSkill(BTS["Cured Thick Hide"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Thick Armor Kit"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Comfortable Leather Hat"], 200, L["UWD"])
	ARL:addTradeSkill(BTS["Thick Leather"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Shadowskin Gloves"], 200, L["Vendor"])
	ARL:addTradeSkill(BTS["Nightscape Tunic"], 205, L["Trainer"])
	ARL:addTradeSkill(BTS["Nightscape Headband"], 205, L["Trainer"])
	ARL:addTradeSkill(BTS["Turtle Scale Gloves"], 205, L["Vendor"])
	ARL:addTradeSkill(BTS["Turtle Scale Breastplate"], 210, L["Trainer"])
	ARL:addTradeSkill(BTS["Nightscape Shoulders"], 210, L["Vendor"])
	ARL:addTradeSkill(BTS["Turtle Scale Bracers"], 210, L["Trainer"])
	ARL:addTradeSkill(BTS["Big Voodoo Robe"], 215, L["UWD"])
	ARL:addTradeSkill(BTS["Big Voodoo Mask"], 220, L["UWD"])
	ARL:addTradeSkill(BTS["Quickdraw Quiver"], 225, L["Trainer"])
	ARL:addTradeSkill(BTS["Thick Leather Ammo Pouch"], 225, L["Trainer"])
	ARL:addTradeSkill(BTS["Nightscape Pants"], 230, L["Trainer"])
	ARL:addTradeSkill(BTS["Turtle Scale Helm"], 230, L["Trainer"])
	ARL:addTradeSkill(BTS["Tough Scorpid Boots"], 235, L["Tough Scorpid Boots Obt"])
	ARL:addTradeSkill(BTS["Turtle Scale Leggings"], 235, L["Trainer"])
	ARL:addTradeSkill(BTS["Nightscape Boots"], 235, L["Trainer"])
	ARL:addTradeSkill(BTS["Big Voodoo Pants"], 240, L["UWD"])
	ARL:addTradeSkill(BTS["Big Voodoo Cloak"], 240, L["UWD"])
	ARL:addTradeSkill(BTS["Cured Rugged Hide"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Rugged Armor Kit"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Rugged Leather"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Scorpid Bracers"], 255, L["Vendor"])
	ARL:addTradeSkill(BTS["Wicked Leather Gauntlets"], 260, L["Vendor"])  
	ARL:addTradeSkill(BTS["Runic Leather Gauntlets"], 270, L["UWD"])
	ARL:addTradeSkill(BTS["Heavy Scorpid Gauntlets"], 275, L["UWD"])
	ARL:addTradeSkill(BTS["Heavy Scorpid Belt"], 280, L["UWD"])
	ARL:addTradeSkill(BTS["Runic Leather Belt"], 280, L["UWD"])
	ARL:addTradeSkill(BTS["Runic Leather Headband"], 290, L["Vendor"])
	ARL:addTradeSkill(BTS["Wicked Leather Pants"], 290, L["UWD"])
	ARL:addTradeSkill(BTS["Heavy Scorpid Helm"], 295, L["Vendor"])
	ARL:addTradeSkill(BTS["Runic Leather Pants"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Green Dragonscale Gauntlets"], 280, L["Trainer"])
	ARL:addTradeSkill(BTS["Dragonscale Gauntlets"], 225, L["Trainer"])
	ARL:addTradeSkill(BTS["Dragonscale Breastplate"], 255, L["Trainer"])
	ARL:addTradeSkill(BTS["Green Dragonscale Breastplate"], 260, L["Vendor"])
	ARL:addTradeSkill(BTS["Blue Dragonscale Breastplate"], 285, L["Vendor"])
	ARL:addTradeSkill(BTS["Black Dragonscale Breastplate"], 290, L["Vendor"])
	ARL:addTradeSkill(BTS["Blue Dragonscale Leggings"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Living Shoulders"], 270, L["Vendor"])
	ARL:addTradeSkill(BTS["Stormshroud Pants"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Chimeric Gloves"], 265, L["Vendor"])
	ARL:addTradeSkill(BTS["Ironfeather Shoulders"], 270, L["Vendor"])
	ARL:addTradeSkill(BTS["Chimeric Boots"], 275, L["UWD"])
	ARL:addTradeSkill(BTS["Chimeric Leggings"], 280, L["UWD"])
	ARL:addTradeSkill(BTS["Frostsaber Boots"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Chimeric Vest"], 290, L["UWD"])
	ARL:addTradeSkill(BTS["Devilsaur Gauntlets"], 290, L["Vendor"])
	ARL:addTradeSkill(BTS["Thick Draenic Gloves"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Comfortable Insoles"], 300, L["Vendor"])
	ARL:addTradeSkill(BTS["Felscale Gloves"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Knothide Armor Kit"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Knothide Leather"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Scaled Draenic Pants"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Thick Draenic Pants"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Wild Draenish Boots"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Felscale Boots"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Scaled Draenic Gloves"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Wild Draenish Gloves"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Thick Draenic Pants"], 315, L["Trainer"])
	ARL:addTradeSkill(BTS["Felscale Pants"], 320, L["Trainer"])
	ARL:addTradeSkill(BTS["Thick Draenic Boots"], 320, L["Trainer"])
	ARL:addTradeSkill(BTS["Wild Draenish Leggings"], 320, L["Trainer"])
	ARL:addTradeSkill(BTS["Scaled Draenic Vest"], 325, L["Trainer"])
	ARL:addTradeSkill(BTS["Thick Draenic Vest"], 330, L["Trainer"])
	ARL:addTradeSkill(BTS["Wild Draenish Vest"], 330, L["Trainer"])
	ARL:addTradeSkill(BTS["Felscale Breastplate"], 335, L["Trainer"])
	ARL:addTradeSkill(BTS["Scaled Draenic Boots"], 335, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Knothide Leather"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Drums of War"], 340, L["Trainer"])
	ARL:addTradeSkill(BTS["Knothide Quiver"], 345, L["Trainer"])
	ARL:addTradeSkill(BTS["Knothide Ammo Pouch"], 345, L["Trainer"])
	ARL:addTradeSkill(BTS["Leatherworker's Satchel"], 345, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Knothide Armor Kit"], 350, L["Trainer"])
	ARL:addTradeSkill(BTS["Glove Reinforcements"], 375, L["Trainer"])
	ARL:addTradeSkill(BTS["Riding Crop"], 350, L["Vendor"])
	ARL:addTradeSkill(BTS["Cobrascale Gloves"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Cobrascale Hood"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Earthen Netherscale Boots"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Gloves of the Living Touch"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Hood of Primal Life"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Living Dragonscale Helm"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Netherdrake Gloves"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Netherdrake Helm"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Thick Netherscale Breastplate"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Windslayer Wraps"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Windscale Hood"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Windstrike Gloves"], 365, L["EWD"])

	-- Specific Drops
	ARL:addTradeSkill(BTS["Kodo Hide Bag"], 40, L["Kodo Hide Bag Obt"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Moonglow Vest"], 90, L["Moonglow Vest Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Deviate Scale Belt"], 115, L["Deviate Scale Belt Obt"])
	ARL:addTradeSkill(BTS["Tough Scorpid Breastplate"], 220, L["Tough Scorpid Breastplate Obt"])
	ARL:addTradeSkill(BTS["Wild Leather Shoulders"], 220, L["Wild Leather Shoulders Obt"])
	ARL:addTradeSkill(BTS["Tough Scorpid Bracers"], 220, L["Tough Scorpid Bracers Obt"])
	ARL:addTradeSkill(BTS["Tough Scorpid Gloves"], 225, L["Tough Scorpid Gloves Obt"])
	ARL:addTradeSkill(BTS["Wild Leather Vest"], 225, L["Wild Leather Vest Obt"])
	ARL:addTradeSkill(BTS["Wild Leather Helmet"], 225, L["Wild Leather Helmet Obt"])
	ARL:addTradeSkill(BTS["Tough Scorpid Shoulders"], 240, L["Tough Scorpid Shoulders Obt"])
	ARL:addTradeSkill(BTS["Wild Leather Boots"], 245, L["Wild Leather Boots Obt"])
	ARL:addTradeSkill(BTS["Tough Scorpid Leggings"], 245, L["Tough Scorpid Leggings Obt"])
	ARL:addTradeSkill(BTS["Tough Scorpid Helm"], 250, L["Tough Scorpid Helm Obt"])
	ARL:addTradeSkill(BTS["Wild Leather Leggings"], 250, L["Wild Leather Leggings Obt"])
	ARL:addTradeSkill(BTS["Wild Leather Cloak"], 250, L["Wild Leather Cloak Obt"])
	ARL:addTradeSkill(BTS["Heavy Scorpid Vest"], 265, L["Heavy Scorpid Vest Obt"])
	ARL:addTradeSkill(BTS["Wicked Leather Bracers"], 265, L["Wicked Leather Bracers Obt"])
	ARL:addTradeSkill(BTS["Runic Leather Bracers"], 275, L["Runic Leather Bracers Obt"])
	ARL:addTradeSkill(BTS["Wicked Leather Headband"], 280, L["Wicked Leather Headband Obt"])
	ARL:addTradeSkill(BTS["Heavy Scorpid Leggings"], 285, L["Heavy Scorpid Leggings Obt"])
	ARL:addTradeSkill(BTS["Wicked Leather Belt"], 300, L["Wicked Leather Belt Obt"])
	ARL:addTradeSkill(BTS["Heavy Scorpid Shoulders"], 300, L["Heavy Scorpid Shoulders Obt"])
	ARL:addTradeSkill(BTS["Runic Leather Armor"], 300, L["Runic Leather Armor Obt"])
	ARL:addTradeSkill(BTS["Wicked Leather Armor"], 300, L["Wicked Leather Armor Obt"])
	ARL:addTradeSkill(BTS["Runic Leather Shoulders"], 300, L["Runic Leather Shoulders Obt"])
	ARL:addTradeSkill(BTS["Girdle of Insight"], 300, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Mongoose Boots"], 300, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Swift Flight Bracers"], 300, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Gordok Ogre Suit"], 300, L["Gordok Ogre Suit Obt"])
	ARL:addTradeSkill(BTS["Green Dragonscale Leggings"], 270, L["Green Dragonscale Leggings Obt"])
	ARL:addTradeSkill(BTS["Blue Dragonscale Shoulders"], 295, L["Blue Dragonscale Shoulders Obt"])
	ARL:addTradeSkill(BTS["Red Dragonscale Breastplate"], 300, L["Red Dragonscale Breastplate Obt"])
	ARL:addTradeSkill(BTS["Black Dragonscale Leggings"], 300, L["Black Dragonscale Leggings Obt"])
	ARL:addTradeSkill(BTS["Black Dragonscale Shoulders"], 300, L["Black Dragonscale Shoulders Obt"])
	ARL:addTradeSkill(BTS["Chromatic Cloak"], 300, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Volcanic Leggings"], 270, L["Volcanic Leggings Obt"])
	ARL:addTradeSkill(BTS["Volcanic Breastplate"], 285, L["Volcanic Breastplate Obt"])
	ARL:addTradeSkill(BTS["Living Leggings"], 285, L["Living Leggings Obt"])
	ARL:addTradeSkill(BTS["Stormshroud Armor"], 285, L["Stormshroud Armor Obt"])
	ARL:addTradeSkill(BTS["Stormshroud Shoulders"], 295, L["Stormshroud Shoulders Obt"])
	ARL:addTradeSkill(BTS["Stormshroud Gloves"], 300, L["Stormshroud Gloves Obt"])
	ARL:addTradeSkill(BTS["Living Breastplate"], 300, L["Living Breastplate Obt"])
	ARL:addTradeSkill(BTS["Volcanic Shoulders"], 300, L["Volcanic Shoulders Obt"])
	ARL:addTradeSkill(BTS["Shifting Cloak"], 300, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Frostsaber Leggings"], 285, L["Frostsaber Leggings Obt"])
	ARL:addTradeSkill(BTS["Ironfeather Breastplate"], 290, L["Ironfeather Breastplate Obt"])
	ARL:addTradeSkill(BTS["Frostsaber Gloves"], 295, L["Frostsaber Gloves Obt"])
	ARL:addTradeSkill(BTS["Devilsaur Leggings"], 300, L["Devilsaur Leggings Obt"])
	ARL:addTradeSkill(BTS["Frostsaber Tunic"], 300, L["Frostsaber Tunic Obt"])
	ARL:addTradeSkill(BTS["Hide of the Wild"], 300, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Shadow Armor Kit"], 340, L["Shadow Armor Kit Obt"])
	ARL:addTradeSkill(BTS["Flame Armor Kit"], 340, L["Flame Armor Kit Obt"])
	ARL:addTradeSkill(BTS["Nature Armor Kit"], 340, L["Nature Armor Kit Obt"])
	ARL:addTradeSkill(BTS["Arcane Armor Kit"], 340, L["Arcane Armor Kit Obt"])
	ARL:addTradeSkill(BTS["Frost Armor Kit"], 340, L["Frost Armor Kit Obt"])
	ARL:addTradeSkill(BTS["Stylin' Purple Hat"], 350, L["Stylin' Purple Hat Obt"])
	ARL:addTradeSkill(BTS["Stylin' Adventure Hat"], 350, L["Stylin' Adventure Hat Obt"])
	ARL:addTradeSkill(BTS["Stylin' Jungle Hat"], 350, L["Stylin' Jungle Hat Obt"])
	ARL:addTradeSkill(BTS["Stylin' Crimson Hat"], 350, L["Stylin' Crimson Hat Obt"])
	ARL:addTradeSkill(BTS["Bag of Many Hides"], 360, L["Bag of Many Hides Obt"])

	-- Seasonal
	ARL:addTradeSkill(BTS["Gloves of the Greatfather"], 190, L["WintersVeil"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Winter Boots"], 285, L["WintersVeil"], {L["Seasonal"]})

	-- Reputations
	ARL:addTradeSkill(BTS["Might of the Timbermaw"], 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill(BTS["Dawn Treaders"], 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkill(BTS["Timbermaw Brawlers"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill(BTS["Golden Mantle of the Dawn"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkill(BTS["Lava Belt"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Blood Tiger Breastplate"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Blood Tiger Shoulders"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Primal Batskin Bracers"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Primal Batskin Gloves"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Primal Batskin Jerkin"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Spitfire Bracers"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Spitfire Gauntlets"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Spitfire Breastplate"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Sandstalker Bracers"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Sandstalker Gauntlets"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Sandstalker Breastplate"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Icy Scale Bracers"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Icy Scale Breastplate"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Icy Scale Gauntlets"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Polar Bracers"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Polar Gloves"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Polar Tunic"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Icy Scale Bracers"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Icy Scale Gauntlets"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Icy Scale Breastplate"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Bramblewood Belt"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Bramblewood Boots"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Bramblewood Helm"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Black Dragonscale Boots"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Chromatic Gauntlets"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Dreamscale Breastplate"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Molten Helm"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Molten Belt"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Warbear Harness"], 275, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill(BTS["Warbear Woolies"], 285, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill(BTS["Corehound Boots"], 295, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Corehound Belt"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Vindicator's Armor Kit"], 325, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Magister's Armor Kit"], 325, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Reinforced Mining Bag"], 325, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Kurenai"], BFAC["The Mag'har"]), {BFAC["The Mag'har"]})
	ARL:addTradeSkill(BTS["Cobrahide Leg Armor"], 335, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Clefthide Leg Armor"], 335, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Fel Leather Gloves"], 340, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Netherfury Belt"], 340, ARL:ARL_AddReputation2(BFAC["Friendly"], BFAC["Kurenai"], BFAC["The Mag'har"]), {BFAC["The Mag'har"]})
	ARL:addTradeSkill(BTS["Netherfury Leggings"], 340, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Kurenai"], BFAC["The Mag'har"]), {BFAC["The Mag'har"]})
	ARL:addTradeSkill(BTS["Drums of Speed"], 345, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Kurenai"], BFAC["The Mag'har"]), {BFAC["The Mag'har"]})
	ARL:addTradeSkill(BTS["Fel Leather Boots"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Fel Leather Leggings"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Felstalker Belt"], 350, ARL:ARL_AddReputation2(BFAC["Friendly"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Netherfury Boots"], 350, ARL:ARL_AddReputation2(BFAC["Revered"], BFAC["Kurenai"], BFAC["The Mag'har"]), {BFAC["The Mag'har"]})
	ARL:addTradeSkill(BTS["Enchanted Felscale Boots"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Enchanted Felscale Gloves"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Enchanted Felscale Leggings"], 350, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Flamescale Belt"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Flamescale Boots"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Flamescale Leggings"], 350, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Enchanted Clefthoof Boots"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Enchanted Clefthoof Gloves"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Enchanted Clefthoof Leggings"], 350, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Blastguard Belt"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Blastguard Boots"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Blastguard Pants"], 350, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Quiver of a Thousand Feathers"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkill(BTS["Netherscale Ammo Pouch"], 350, ARL:ARL_AddReputation2(BFAC["Revered"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Drums of Restoration"], 350, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Heavy Clefthoof Leggings"], 355, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Heavy Clefthoof Boots"], 355, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Heavy Clefthoof Vest"], 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Felstalker Bracer"], 360, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Felstalker Breastplate"], 360, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Drums of Battle"], 365, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill(BTS["Nethercobra Leg Armor"], 365, ARL:ARL_AddReputation2(BFAC["Exalted"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Nethercleft Leg Armor"], 365, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Drums of Panic"], 370, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill(BTS["Boots of Shackled Souls"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Bracers of Shackled Souls"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Waistguard of Shackled Souls"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Greaves of Shackled Souls"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Cloak of Darkness"], 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Violet Eye"]), {L["Raid"], BFAC["The Violet Eye"]})
	ARL:addTradeSkill(BTS["Redeemed Soul Cinch"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Redeemed Soul Legguards"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Redeemed Soul Moccasins"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Redeemed Soul Wristguards"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Shadowprowler's Chestguard"], 365, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Violet Eye"]), {L["Raid"], BFAC["The Violet Eye"]})

	-- Raid Drops
	ARL:addTradeSkill(BTS["Core Armor Kit"], 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Onyxia Scale Cloak"], 300, L["Onyxia Scale Cloak Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Shoulders of Lightning Reflexes"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Hurricane Boots"], 375, L["SSC/TKBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Monsoon Belt"], 375, L["SSC/TKBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Belt of Deep Shadow"], 375, L["SSC/TKBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Belt of Natural Power"], 375, L["SSC/TKBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Belt of the Black Eagle"], 375, L["SSC/TKBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Boots of Natural Grace"], 375, L["SSC/TKBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Boots of the Crimson Hawk"], 375, L["SSC/TKBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Boots of Utter Darkness"], 375, L["SSC/TKBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Bracers of Renewed Life"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Shoulderpads of Renewed Life"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Living Earth Shoulders"], 375, L["BT/HYJALBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Living Earth Bindings"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Shoulders of Lightning Reflexes"], 375, L["BT/HYJALBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Bindings of Lightning Reflexes"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Swiftstrike Bracers"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Swiftstrike Shoulders"], 375, L["BT/HYJALBoE"], {L["Raid"]})

	-- Dragonscale Leatherworking
	ARL:addTradeSkill(BTS["Dragonstrike Leggings"], 260, L["Trainer"], {BTS["Dragonscale Leatherworking"]})
	ARL:addTradeSkill(BTS["Golden Dragonstrike Breastplate"], 330, L["Trainer"], {BTS["Dragonscale Leatherworking"]})
	ARL:addTradeSkill(BTS["Ebon Netherscale Belt"], 375, L["Trainer"], {BTS["Dragonscale Leatherworking"]})
	ARL:addTradeSkill(BTS["Ebon Netherscale Bracers"], 375, L["Trainer"], {BTS["Dragonscale Leatherworking"]})
	ARL:addTradeSkill(BTS["Ebon Netherscale Breastplate"], 375, L["Trainer"], {BTS["Dragonscale Leatherworking"]})
	ARL:addTradeSkill(BTS["Netherstrike Belt"], 375, L["Trainer"], {BTS["Dragonscale Leatherworking"]})
	ARL:addTradeSkill(BTS["Netherstrike Bracers"], 375, L["Trainer"], {BTS["Dragonscale Leatherworking"]})
	ARL:addTradeSkill(BTS["Netherstrike Breastplate"], 375, L["Trainer"], {BTS["Dragonscale Leatherworking"]})

	-- Elemental Leatherworking
	ARL:addTradeSkill(BTS["Gauntlets of the Sea"], 230, L["Trainer"], {BTS["Elemental Leatherworking"]})
	ARL:addTradeSkill(BTS["Helm of Fire"], 250, L["Trainer"], {BTS["Elemental Leatherworking"]})
	ARL:addTradeSkill(BTS["Blackstorm Leggings"], 260, L["Trainer"], {BTS["Elemental Leatherworking"]})
	ARL:addTradeSkill(BTS["Primalstorm Breastplate"], 330, L["Trainer"], {BTS["Elemental Leatherworking"]})
	ARL:addTradeSkill(BTS["Primalstrike Belt"], 375, L["Trainer"], {BTS["Elemental Leatherworking"]})
	ARL:addTradeSkill(BTS["Primalstrike Bracers"], 375, L["Trainer"], {BTS["Elemental Leatherworking"]})
	ARL:addTradeSkill(BTS["Primalstrike Vest"], 375, L["Trainer"], {BTS["Elemental Leatherworking"]})

	-- Tribal Leatherworking
	ARL:addTradeSkill(BTS["Wolfshead Helm"], 225, L["Trainer"], {BTS["Tribal Leatherworking"]})
	ARL:addTradeSkill(BTS["Feathered Breastplate"], 250, L["Trainer"], {BTS["Tribal Leatherworking"]})
	ARL:addTradeSkill(BTS["Wildfeather Leggings"], 260, L["Trainer"], {BTS["Tribal Leatherworking"]})
	ARL:addTradeSkill(BTS["Living Crystal Breastplate"], 330, L["Trainer"], {BTS["Tribal Leatherworking"]})
	ARL:addTradeSkill(BTS["Windhawk Belt"], 375, L["Trainer"], {BTS["Tribal Leatherworking"]})
	ARL:addTradeSkill(BTS["Windhawk Bracers"], 375, L["Trainer"], {BTS["Tribal Leatherworking"]})
	ARL:addTradeSkill(BTS["Windhawk Hauberk"], 375, L["Trainer"], {BTS["Tribal Leatherworking"]})

end