--[[

ARL-Tailor.lua

Tailoring data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BTS		= AceLibrary("Babble-Tradeskill-2.2")
local BFAC		= AceLibrary("Babble-Faction-2.2")
local BCLASS	= AceLibrary("Babble-Class-2.2")

-- Initializes the array adding all Tailoring recipes.  As of 2.2 there are 305 recipes.

function ARL:ARL_InitTailoring()

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkill(BTS["Bolt of Linen Cloth"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Linen Cloak"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["White Linen Shirt"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Brown Linen Shirt"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Simple Linen Pants"], 1, L["Trainer"])
	ARL:addTradeSkill(BTS["Brown Linen Vest"], 10, L["Trainer"])
	ARL:addTradeSkill(BTS["Linen Belt"], 15, L["Trainer"])
	ARL:addTradeSkill(BTS["Simple Linen Boots"], 20, L["Trainer"])
	ARL:addTradeSkill(BTS["Brown Linen Pants"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Brown Linen Robe"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["White Linen Robe"], 30, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Linen Gloves"], 35, L["Trainer"])
	ARL:addTradeSkill(BTS["Red Linen Shirt"], 40, L["Trainer"])
	ARL:addTradeSkill(BTS["Blue Linen Shirt"], 40, L["Trainer"])
	ARL:addTradeSkill(BTS["Simple Dress"], 40, L["Trainer"])
	ARL:addTradeSkill(BTS["Linen Bag"], 45, L["Trainer"])
	ARL:addTradeSkill(BTS["Reinforced Linen Cape"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Green Linen Bracers"], 60, L["Trainer"])
	ARL:addTradeSkill(BTS["Linen Boots"], 65, L["Trainer"])
	ARL:addTradeSkill(BTS["Bolt of Woolen Cloth"], 75, L["Trainer"])
	ARL:addTradeSkill(BTS["Woolen Cape"], 75, L["Trainer"])
	ARL:addTradeSkill(BTS["Simple Kilt"], 75, L["Trainer"])
	ARL:addTradeSkill(BTS["Soft-soled Linen Boots"], 80, L["Trainer"])
	ARL:addTradeSkill(BTS["Woolen Bag"], 80, L["Trainer"])
	ARL:addTradeSkill(BTS["Green Woolen Vest"], 85, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Woolen Gloves"], 85, L["Trainer"])
	ARL:addTradeSkill(BTS["Pearl-clasped Cloak"], 90, L["Trainer"])
	ARL:addTradeSkill(BTS["Barbaric Linen Vest"], 90, L["Trainer"])
	ARL:addTradeSkill(BTS["Green Linen Shirt"], 90, L["Trainer"])
	ARL:addTradeSkill(BTS["Handstitched Linen Britches"], 90, L["Trainer"])
	ARL:addTradeSkill(BTS["Woolen Boots"], 95, L["Trainer"])
	ARL:addTradeSkill(BTS["Gray Woolen Shirt"], 100, L["Trainer"])
	ARL:addTradeSkill(BTS["Blue Overalls"], 100, L["Vendor"])
	ARL:addTradeSkill(BTS["Double-stitched Woolen Shoulders"], 110, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Woolen Pants"], 110, L["Trainer"])
	ARL:addTradeSkill(BTS["White Woolen Dress"], 110, L["Trainer"])
	ARL:addTradeSkill(BTS["Bolt of Silk Cloth"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Spidersilk Boots"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Stylish Red Shirt"], 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Gloves of Meditation"], 130, L["Trainer"])
	ARL:addTradeSkill(BTS["Lesser Wizard's Robe"], 135, L["Trainer"])
	ARL:addTradeSkill(BTS["Azure Silk Pants"], 140, L["Trainer"])
	ARL:addTradeSkill(BTS["Azure Silk Hood"], 145, L["Trainer"])
	ARL:addTradeSkill(BTS["Azure Silk Vest"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["Small Silk Pack"], 150, L["Trainer"])
	ARL:addTradeSkill(BTS["White Swashbuckler's Shirt"], 160, L["Trainer"])
	ARL:addTradeSkill(BTS["Silk Headband"], 160, L["Trainer"])
	ARL:addTradeSkill(BTS["Formal White Shirt"], 170, L["Trainer"])
	ARL:addTradeSkill(BTS["Earthen Vest"], 170, L["Trainer"])
	ARL:addTradeSkill(BTS["Bolt of Mageweave"], 175, L["Trainer"])
	ARL:addTradeSkill(BTS["Red Swashbuckler's Shirt"], 175, L["Trainer"])
	ARL:addTradeSkill(BTS["Azure Silk Belt"], 175, L["Trainer"])
	ARL:addTradeSkill(BTS["Crimson Silk Belt"], 175, L["Trainer"])
	ARL:addTradeSkill(BTS["Green Silken Shoulders"], 180, L["Trainer"])
	ARL:addTradeSkill(BTS["Long Silken Cloak"], 185, L["Trainer"])
	ARL:addTradeSkill(BTS["Crimson Silk Vest"], 185, L["Trainer"])
	ARL:addTradeSkill(BTS["Robe of Power"], 190, L["Trainer"])
	ARL:addTradeSkill(BTS["Crimson Silk Pantaloons"], 195, L["Trainer"])
	ARL:addTradeSkill(BTS["Black Mageweave Vest"], 205, L["Trainer"])
	ARL:addTradeSkill(BTS["Black Mageweave Leggings"], 205, L["Trainer"])
	ARL:addTradeSkill(BTS["Crimson Silk Gloves"], 210, L["Trainer"])
	ARL:addTradeSkill(BTS["Black Mageweave Robe"], 210, L["Trainer"])
	ARL:addTradeSkill(BTS["Shadoweave Pants"], 210, L["Trainer"])
	ARL:addTradeSkill(BTS["Black Mageweave Gloves"], 215, L["Trainer"])
	ARL:addTradeSkill(BTS["Shadoweave Robe"], 215, L["Trainer"])
	ARL:addTradeSkill(BTS["Orange Mageweave Shirt"], 215, L["Trainer"])
	ARL:addTradeSkill(BTS["Mageweave Bag"], 225, L["Trainer"])
	ARL:addTradeSkill(BTS["Dreamweave Gloves"], 225, L["Trainer"])
	ARL:addTradeSkill(BTS["Cindercloth Robe"], 225, L["Trainer"])
	ARL:addTradeSkill(BTS["Dreamweave Vest"], 225, L["Trainer"])
	ARL:addTradeSkill(BTS["Shadoweave Gloves"], 225, L["Trainer"])
	ARL:addTradeSkill(BTS["Black Mageweave Headband"], 230, L["Trainer"])
	ARL:addTradeSkill(BTS["Black Mageweave Boots"], 230, L["Trainer"])
	ARL:addTradeSkill(BTS["Black Mageweave Shoulders"], 230, L["Trainer"])
	ARL:addTradeSkill(BTS["Shadoweave Shoulders"], 235, L["Trainer"])
	ARL:addTradeSkill(BTS["Simple Black Dress"], 235, L["Trainer"])
	ARL:addTradeSkill(BTS["Red Mageweave Bag"], 235, L["Trainer"])
	ARL:addTradeSkill(BTS["Shadoweave Boots"], 240, L["Trainer"])
	ARL:addTradeSkill(BTS["Cindercloth Boots"], 245, L["Trainer"])
	ARL:addTradeSkill(BTS["Dreamweave Circlet"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Bolt of Runecloth"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Runecloth Belt"], 255, L["Trainer"])
	ARL:addTradeSkill(BTS["Netherweave Net"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Bolt of Netherweave"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Netherweave Bracers"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Netherweave Belt"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Netherweave Bag"], 315, L["Trainer"])
	ARL:addTradeSkill(BTS["Netherweave Gloves"], 320, L["Trainer"])
	ARL:addTradeSkill(BTS["Netherweave Pants"], 325, L["Trainer"])
	ARL:addTradeSkill(BTS["Netherweave Boots"], 335, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkill(BTS["Blue Linen Vest"], 55, L["Vendor"])
	ARL:addTradeSkill(BTS["Red Linen Bag"], 70, L["Vendor"])
	ARL:addTradeSkill(BTS["Blue Linen Robe"], 70, L["Vendor"])
	ARL:addTradeSkill(BTS["Red Woolen Bag"], 115, L["Vendor"])
	ARL:addTradeSkill(BTS["Greater Adept's Robe"], 115, L["Vendor"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Bright Yellow Shirt"], 135, L["Vendor"])
	ARL:addTradeSkill(BTS["Azure Silk Gloves"], 145, L["Vendor"])
	ARL:addTradeSkill(BTS["Dark Silk Shirt"], 155, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchanter's Cowl"], 165, L["Vendor"])
	ARL:addTradeSkill(BTS["Azure Silk Cloak"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Crimson Silk Cloak"], 180, L["Vendor"])
	ARL:addTradeSkill(BTS["Icy Cloak"], 200, L["Vendor"])
	ARL:addTradeSkill(BTS["Black Swashbuckler's Shirt"], 200, L["Vendor"])
	ARL:addTradeSkill(BTS["Crimson Silk Robe"], 205, L["Vendor"])
	ARL:addTradeSkill(BTS["Orange Martial Shirt"], 220, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchanted Mageweave Pouch"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Lavender Mageweave Shirt"], 230, L["Vendor"])
	ARL:addTradeSkill(BTS["Pink Mageweave Shirt"], 235, L["Vendor"])
	ARL:addTradeSkill(BTS["Admiral's Hat"], 240, L["Vendor"])
	ARL:addTradeSkill(BTS["Tuxedo Shirt"], 240, L["Vendor"])
	ARL:addTradeSkill(BTS["Tuxedo Pants"], 245, L["Vendor"])
	ARL:addTradeSkill(BTS["White Wedding Dress"], 250, L["Vendor"])
	ARL:addTradeSkill(BTS["Tuxedo Jacket"], 250, L["Vendor"])
	ARL:addTradeSkill(BTS["Mooncloth"], 250, L["Vendor"])
	ARL:addTradeSkill(BTS["Runecloth Robe"], 260, L["Vendor"])
	ARL:addTradeSkill(BTS["Runecloth Bag"], 260, L["Vendor"])
	ARL:addTradeSkill(BTS["Soul Pouch"], 260, L["Vendor"])
	ARL:addTradeSkill(BTS["Runecloth Cloak"], 265, L["Vendor"])
	ARL:addTradeSkill(BTS["Runecloth Gloves"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Felcloth Pants"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Enchanted Runecloth Bag"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Cenarion Herb Bag"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Runecloth Boots"], 280, L["Vendor"])
	ARL:addTradeSkill(BTS["Mooncloth Robe"], 300, L["Vendor"])
	ARL:addTradeSkill(BTS["Bolt of Imbued Netherweave"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Imbued Netherweave Bag"], 340, L["Vendor"])
	ARL:addTradeSkill(BTS["Netherweave Robe"], 340, L["Vendor"])
	ARL:addTradeSkill(BTS["Imbued Netherweave Pants"], 340, L["Vendor"])
	ARL:addTradeSkill(BTS["Bolt of Soulcloth"], 345, L["Vendor"])
	ARL:addTradeSkill(BTS["Netherweave Tunic"], 345, L["Vendor"])
	ARL:addTradeSkill(BTS["Primal Mooncloth"], 350, L["Vendor"])
	ARL:addTradeSkill(BTS["Imbued Netherweave Boots"], 350, L["Vendor"])
	ARL:addTradeSkill(BTS["Spellcloth"], 350, L["Vendor"])
	ARL:addTradeSkill(BTS["Shadowcloth"], 350, L["Vendor"])
	ARL:addTradeSkill(BTS["Soulcloth Gloves"], 355, L["Vendor"])
	ARL:addTradeSkill(BTS["Imbued Netherweave Robe"], 360, L["Vendor"])
	ARL:addTradeSkill(BTS["Imbued Netherweave Tunic"], 360, L["Vendor"])
	ARL:addTradeSkill(BTS["Spellfire Bag"], 375, L["Vendor"])
	ARL:addTradeSkill(BTS["Ebon Shadowbag"], 375, L["Vendor"])
	ARL:addTradeSkill(BTS["Primal Mooncloth Bag"], 375, L["Vendor"])
	ARL:addTradeSkill(BTS["Primal Mooncloth Belt"], 355, L["Vendor"], {BTS["Mooncloth Tailoring"]})
	ARL:addTradeSkill(BTS["Primal Mooncloth Shoulders"], 365, L["Vendor"], {BTS["Mooncloth Tailoring"]})
	ARL:addTradeSkill(BTS["Primal Mooncloth Robe"], 375, L["Vendor"], {BTS["Mooncloth Tailoring"]})
	ARL:addTradeSkill(BTS["Frozen Shadoweave Shoulders"], 355, L["Vendor"], {BTS["Shadoweave Tailoring"]})
	ARL:addTradeSkill(BTS["Frozen Shadoweave Boots"], 365, L["Vendor"], {BTS["Shadoweave Tailoring"]})
	ARL:addTradeSkill(BTS["Frozen Shadoweave Robe"], 375, L["Vendor"], {BTS["Shadoweave Tailoring"]})
	ARL:addTradeSkill(BTS["Spellfire Belt"], 355, L["Vendor"], {BTS["Spellfire Tailoring"]})
	ARL:addTradeSkill(BTS["Spellfire Gloves"], 365, L["Vendor"], {BTS["Spellfire Tailoring"]})
	ARL:addTradeSkill(BTS["Spellfire Robe"], 370, L["Vendor"], {BTS["Spellfire Tailoring"]})

	-- World Drops
	ARL:addTradeSkill(BTS["Red Linen Robe"], 40, L["UWD"])
	ARL:addTradeSkill(BTS["Red Linen Vest"], 55, L["UWD"])
	ARL:addTradeSkill(BTS["Red Woolen Boots"], 95, L["UWD"])
	ARL:addTradeSkill(BTS["Green Woolen Bag"], 95, L["UWD"])
	ARL:addTradeSkill(BTS["Heavy Woolen Cloak"], 100, L["UWD"])
	ARL:addTradeSkill(BTS["Gray Woolen Robe"], 105, L["UWD"])
	ARL:addTradeSkill(BTS["Reinforced Woolen Shoulders"], 120, L["UWD"])
	ARL:addTradeSkill(BTS["Stylish Blue Shirt"], 120, L["UWD"])
	ARL:addTradeSkill(BTS["Stylish Green Shirt"], 120, L["UWD"])
	ARL:addTradeSkill(BTS["Colorful Kilt"], 120, L["UWD"])
	ARL:addTradeSkill(BTS["Phoenix Pants"], 125, L["UWD"])
	ARL:addTradeSkill(BTS["Phoenix Gloves"], 125, L["UWD"])
	ARL:addTradeSkill(BTS["Spider Silk Slippers"], 140, L["UWD"])
	ARL:addTradeSkill(BTS["Hands of Darkness"], 145, L["UWD"])
	ARL:addTradeSkill(BTS["Truefaith Gloves"], 150, L["UWD"])
	ARL:addTradeSkill(BTS["Green Silk Armor"], 165, L["UWD"])
	ARL:addTradeSkill(BTS["Shadow Hood"], 170, L["UWD"])
	ARL:addTradeSkill(BTS["Boots of the Enchanter"], 175, L["UWD"])
	ARL:addTradeSkill(BTS["Green Silk Pack"], 175, L["UWD"])
	ARL:addTradeSkill(BTS["Spider Belt"], 180, L["UWD"])
	ARL:addTradeSkill(BTS["Rich Purple Silk Shirt"], 185, L["UWD"])
	ARL:addTradeSkill(BTS["Crimson Silk Shoulders"], 190, L["UWD"])
	ARL:addTradeSkill(BTS["Azure Shoulders"], 190, L["UWD"])
	ARL:addTradeSkill(BTS["Earthen Silk Belt"], 195, L["UWD"])
	ARL:addTradeSkill(BTS["Star Belt"], 200, L["UWD"])
	ARL:addTradeSkill(BTS["Red Mageweave Vest"], 215, L["UWD"])
	ARL:addTradeSkill(BTS["White Bandit Mask"], 215, L["UWD"])
	ARL:addTradeSkill(BTS["Red Mageweave Pants"], 215, L["UWD"])
	ARL:addTradeSkill(BTS["Red Mageweave Gloves"], 225, L["UWD"])
	ARL:addTradeSkill(BTS["Red Mageweave Shoulders"], 235, L["UWD"])
	ARL:addTradeSkill(BTS["Red Mageweave Headband"], 240, L["UWD"])
	ARL:addTradeSkill(BTS["Frostweave Tunic"], 255, L["UWD"])
	ARL:addTradeSkill(BTS["Frostweave Robe"], 255, L["UWD"])
	ARL:addTradeSkill(BTS["Runecloth Tunic"], 260, L["UWD"])
	ARL:addTradeSkill(BTS["Frostweave Gloves"], 265, L["UWD"])
	ARL:addTradeSkill(BTS["Brightcloth Gloves"], 270, L["UWD"])
	ARL:addTradeSkill(BTS["Brightcloth Robe"], 270, L["UWD"])
	ARL:addTradeSkill(BTS["Brightcloth Cloak"], 275, L["UWD"])
	ARL:addTradeSkill(BTS["Frostweave Pants"], 280, L["UWD"])
	ARL:addTradeSkill(BTS["Felcloth Boots"], 285, L["UWD"])
	ARL:addTradeSkill(BTS["Runecloth Pants"], 285, L["UWD"])
	ARL:addTradeSkill(BTS["Brightcloth Pants"], 290, L["UWD"])
	ARL:addTradeSkill(BTS["Mooncloth Leggings"], 290, L["UWD"])
	ARL:addTradeSkill(BTS["Felcloth Hood"], 290, L["UWD"])
	ARL:addTradeSkill(BTS["Runecloth Headband"], 295, L["UWD"])
	ARL:addTradeSkill(BTS["Mooncloth Bag"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Mooncloth Vest"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Mooncloth Shoulders"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Runecloth Shoulders"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Felcloth Robe"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Mooncloth Circlet"], 300, L["RWD"])
	ARL:addTradeSkill(BTS["Felcloth Shoulders"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Gloves of Spell Mastery"], 300, L["EWD"])
	ARL:addTradeSkill(BTS["Bottomless Bag"], 300, L["RWD"])
	ARL:addTradeSkill(BTS["Unyielding Bracers"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Bracers of Havok"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Blackstrike Bracers"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Cloak of the Black Void"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Cloak of Eternity"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["White Remedy Cape"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Unyielding Girdle"], 365, L["UWD"])
	ARL:addTradeSkill(BTS["Girdle of Ruination"], 365, L["UWD"])
	ARL:addTradeSkill(BTS["Black Belt of Knowledge"], 365, L["UWD"])
	ARL:addTradeSkill(BTS["Resolute Cape"], 365, L["UWD"])
	ARL:addTradeSkill(BTS["Vengeance Wrap"], 365, L["UWD"])
	ARL:addTradeSkill(BTS["Manaweave Cloak"], 365, L["UWD"])

	-- Seasonal
 	ARL:addTradeSkill(BTS["Green Holiday Shirt"], 190, L["WintersVeil"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Red Winter Clothes"], 250, L["WintersVeil"], {L["Seasonal"], BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Green Winter Clothes"], 250, L["WintersVeil"], {L["Seasonal"], BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Festive Red Pant Suit"], 250, L["WintersVeil"], {L["Seasonal"]})
 	ARL:addTradeSkill(BTS["Festival Dress"], 250, L["Lunar Festival"], {L["Seasonal"]})

	-- Specific Drops
	ARL:addTradeSkill(BTS["Robes of Arcana"], 150, L["Robes of Arcana Obt"])
	ARL:addTradeSkill(BTS["Black Silk Pack"], 185, L["Black Silk Pack Obt"])
	ARL:addTradeSkill(BTS["Shadoweave Mask"], 245, L["Shadoweave Mask Obt"])
	ARL:addTradeSkill(BTS["Cindercloth Vest"], 260, L["Cindercloth Vest Obt"])
	ARL:addTradeSkill(BTS["Ghostweave Belt"], 265, L["Ghostweave Belt Obt"])
	ARL:addTradeSkill(BTS["Cindercloth Gloves"], 270, L["Cindercloth Gloves Obt"])
	ARL:addTradeSkill(BTS["Ghostweave Gloves"], 270, L["Ghostweave Gloves Obt"])
	ARL:addTradeSkill(BTS["Ghostweave Vest"], 275, L["Ghostweave Vest Obt"])
	ARL:addTradeSkill(BTS["Cindercloth Cloak"], 275, L["Cindercloth Cloak Obt"])
	ARL:addTradeSkill(BTS["Wizardweave Leggings"], 275, L["Wizardweave Leggings Obt"])
	ARL:addTradeSkill(BTS["Cloak of Fire"], 275, L["Cloak of Fire Obt"])
	ARL:addTradeSkill(BTS["Cindercloth Pants"], 280, L["Cindercloth Pants Obt"])
	ARL:addTradeSkill(BTS["Robe of Winter Night"], 285, L["Robe of Winter Night Obt"])
	ARL:addTradeSkill(BTS["Felcloth Bag"], 285, L["Felcloth Bag Obt"])
	ARL:addTradeSkill(BTS["Mooncloth Boots"], 290, L["Mooncloth Boots Obt"])
	ARL:addTradeSkill(BTS["Ghostweave Pants"], 290, L["Ghostweave Pants Obt"])
	ARL:addTradeSkill(BTS["Wizardweave Robe"], 300, L["Wizardweave Robe Obt"])
	ARL:addTradeSkill(BTS["Wizardweave Turban"], 300, L["Wizardweave Turban Obt"])
	ARL:addTradeSkill(BTS["Gordok Ogre Suit"], 300, L["Gordok Ogre Suit Obt"])
	ARL:addTradeSkill(BTS["Truefaith Vestments"], 300, L["Truefaith Vestments Obt"], {BCLASS["Priest"]})
	ARL:addTradeSkill(BTS["Robe of the Archmage"], 300, L["Robe of the Archmage Obt"], {BCLASS["Mage"]})
	ARL:addTradeSkill(BTS["Robe of the Void"], 300, L["Robe of the Void Obt"], {BCLASS["Warlock"]})
	ARL:addTradeSkill(BTS["Belt of the Archmage"], 300, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Felcloth Gloves"], 300, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Inferno Gloves"], 300, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Mooncloth Gloves"], 300, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Cloak of Warding"], 300, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Runed Stygian Belt"], 300, L["TrueBelieverQuest"])
	ARL:addTradeSkill(BTS["Runed Stygian Boots"], 300, L["TrueBelieverQuest"])
	ARL:addTradeSkill(BTS["Runed Stygian Leggings"], 300, L["TrueBelieverQuest"])
	ARL:addTradeSkill(BTS["Big Bag of Enchantment"], 300, L["Big Bag of Enchantment Obt"])
	ARL:addTradeSkill(BTS["Arcanoweave Bracers"], 350, L["Arcanoweave Bracers Obt"])
	ARL:addTradeSkill(BTS["Arcanoweave Boots"], 360, L["Arcanoweave Boots Obt"])
	ARL:addTradeSkill(BTS["Arcanoweave Robe"], 370, L["Arcanoweave Robe Obt"])
	ARL:addTradeSkill(BTS["Whitemend Pants"], 375, L["Whitemend Pants Obt"])
	ARL:addTradeSkill(BTS["Spellstrike Pants"], 375, L["Spellstrike Pants Obt"])
	ARL:addTradeSkill(BTS["Battlecast Pants"], 375, L["Battlecast Pants Obt"])
	ARL:addTradeSkill(BTS["Whitemend Hood"], 375, L["Whitemend Hood Obt"])
	ARL:addTradeSkill(BTS["Spellstrike Hood"], 375, L["Spellstrike Hood Obt"])
	ARL:addTradeSkill(BTS["Battlecast Hood"], 375, L["Battlecast Hood Obt"])

	-- Reputations
	ARL:addTradeSkill(BTS["Wisdom of the Timbermaw"], 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill(BTS["Argent Boots"], 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkill(BTS["Flarecore Mantle"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Flarecore Gloves"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Mantle of the Timbermaw"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill(BTS["Argent Shoulders"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkill(BTS["Flarecore Robe"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Flarecore Leggings"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Bloodvine Boots"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Bloodvine Leggings"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Bloodvine Vest"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Satchel of Cenarius"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Gaea's Embrace"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Sylvan Crown"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Sylvan Shoulders"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Sylvan Vest"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Glacial Gloves"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Glacial Wrists"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Glacial Vest"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Glacial Cloak"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Mystic Spellthread"], 335, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Silver Spellthread"], 335, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Bag of Jewels"], 340, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Cloak of Arcane Evasion"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkill(BTS["Flameheart Bracers"], 350, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Flameheart Gloves"], 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Flameheart Vest"], 370, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Runic Spellthread"], 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Golden Spellthread"], 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Night's End"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {BFAC["Ashtongue Deathsworn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Soulguard Bracers"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Ashtongue Deathsworn"]), {BFAC["Ashtongue Deathsworn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Soulguard Girdle"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Ashtongue Deathsworn"]), {BFAC["Ashtongue Deathsworn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Soulguard Leggings"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {BFAC["Ashtongue Deathsworn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Soulguard Slippers"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {BFAC["Ashtongue Deathsworn"], L["Raid"]})

	-- Raid Drops
	ARL:addTradeSkill(BTS["Flarecore Wraps"], 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Core Felcloth Bag"], 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Soulcloth Shoulders"], 365, L["Soulcloth Shoulders Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Soulcloth Vest"], 375, L["Soulcloth Vest Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Boots of the Long Road"], 375, L["SSC/TKBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Belt of the Long Road"], 375, L["SSC/TKBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Belt of Blasting"], 375, L["SSC/TKBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Boots of Blasting"], 375, L["SSC/TKBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Swiftheal Wraps"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Swiftheal Mantle"], 375, L["BT/HYJALBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Bracers of Nimble Thought"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Mantle of Nimble Thought"], 375, L["BT/HYJALBoE"], {L["Raid"]})

end
